commit 0a70d87ab7a6087d1349644330ae5dabb97a19b4
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Feb 11 10:50:13 2015 +0100

    v0.8.3

commit eadb25760ffed09cfb013f4f1d561275b1f42376
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Feb 11 10:49:18 2015 +0100

    manifest: only include source files

commit 141e7eb40f07ee8db17d5e3f0cfc5c86b63f7d72
Merge: b6207a4 35bbbad
Author: Yesudeep Mangalapilly <yesudeep+github@gmail.com>
Date:   Mon Jan 26 13:15:40 2015 +0530

    Merge pull request #295 from tony/patch-1
    
    changelog.rst indentation

commit 35bbbad0dee9cc86c1d343c9db8ab71167917344
Author: Tony Narlock <tony@git-pull.com>
Date:   Sun Jan 25 19:19:26 2015 -0800

    changelog.rst indentation

commit b6207a46e9a784ddbbbec3eb2738c2728f92af86
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sat Nov 22 12:22:24 2014 +0100

    [linux] auto fallback to polling on unsupported libc

commit c77f677e027d3472f939645660253079d16f27d9
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sat Nov 22 12:16:58 2014 +0100

    [osx] auto fallback to polling since kqueue may require c extension installed

commit 45a5d67b4bb955174e4524898b31e6b507822a62
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sat Nov 15 12:02:34 2014 +0100

    [inotify] fix possible unbound local error

commit c8f3ff83bc8070e9a5973aa0dea966f1b2e9b2fd
Merge: 7cac23b 2e571a2
Author: tamland <thomas.amland@gmail.com>
Date:   Thu Nov 6 10:59:52 2014 -0800

    Merge pull request #284 from mmorearty/remove-old-c-files
    
    Remove old, unused .c and .h files

commit 7cac23b9d54025a3eaa560058c7971ab6b00e51d
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Thu Nov 6 19:12:55 2014 +0100

    fix fallback encoding. getfilesystemencoding() can be None.

commit 5c37f489ef02d6e3b6fd577f32af6fc90d42035b
Merge: ceeb0d8 d7b7a1b
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Thu Nov 6 19:07:14 2014 +0100

    Merge branch 'rlock'

commit ceeb0d8eda97cc78b82f439fe7a72ddf76ecf2c8
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Thu Nov 6 19:01:36 2014 +0100

    [inotify] refactor libc loading and improve error handling

commit d7b7a1b974abe8c3562aff97dbd8544b81e5b4b4
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri Oct 31 13:35:45 2014 +0100

    allow event handlers to modify the observer from the callback

commit 3502ce6daea8afd8988e9e3fcedb5611d2a17fe8
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri Oct 31 11:13:51 2014 +0100

    [tests] dont't join thread on teardown.
    
    For some reason join() halts for 1 seconds when using pytest slowing down all the tests. It's not strictly
    needed to join here.

commit 794f5020def03fab4b01950a03bb9ead4587b764
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Thu Oct 30 17:41:02 2014 +0100

    use custom loggers. closes #274

commit aec1529121d22d7e81c4261427ff459375172596
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Oct 29 12:41:27 2014 +0100

    v0.8.2

commit c678ecd5345e71609ac47ab44e756f0ce6cca17a
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Oct 29 12:36:16 2014 +0100

    show missing lines in coverage report

commit ddfb57e8c514413091e425e0a06480c58de1c95f
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Oct 29 12:34:45 2014 +0100

    fix changelog

commit 2e571a25d2293b0f64e4cbbcb7b7b5daf9c5292a
Author: Mike Morearty <mike@morearty.com>
Date:   Wed Oct 29 00:04:08 2014 -0700

    Remove old, unused .c and .h files
    
    Delete a few files that are obsolete and are no longer used.

commit 5893e2990f8e3c525187050207b48dd359016745
Merge: f34d475 2e83199
Author: tamland <thomas.amland@gmail.com>
Date:   Sat Oct 25 04:02:44 2014 -0700

    Merge pull request #281 from theospears/do-not-crash-on-dir-deletion
    
    Avoid race condition crash on directory deletion

commit 2e831999218814170a118b234a792917ccaa9ff7
Author: Theo Spears <theo@asana.com>
Date:   Thu Oct 23 15:35:32 2014 -0700

    Avoid race condition crash on directory deletion
    
    Given the directory structure /a/b/c.txt there is a race condition
    in DirectorySnapshot if it reads the list of entries in /a, then
    /a/b is deleted, and then it tries to read /a/b. This happens
    often in practice when changing between very different branches in
    git.
    
    The ideal behaviour would be to report /a/b as not existing in this
    case, but we cannot do this without either changing the order of the
    walk (from parent-first to parent-last) or significantly increasing
    memory usage and copies, so instead we report /a/b as existing but
    empty.

commit f34d47578a712d5eec8f93fad023a909f78eb189
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Tue Sep 16 20:13:57 2014 +0200

    whoops. backported wrong version

commit 0244dae81600fe1baa137649a54825f31fdfb964
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Tue Sep 16 19:53:18 2014 +0200

    add threading.Event backport. in py2.6 wait returns None

commit 2b119dffeffad47b6ab5796952d2d84f6d42f804
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Sep 10 19:36:43 2014 +0200

    remove dead code

commit 4a3844b55ef92f8ef0f941fbc4113fb9476b09ae
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Sep 10 19:33:16 2014 +0200

    handle failed starts

commit 7a7d09fa32f2cd1c141c5e5a94857f10508133c4
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Sep 10 13:38:59 2014 +0200

    update api changelog

commit 2e9530b01e8e79f08d3632f39d7c5fe35ce24ab8
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Sep 10 13:08:48 2014 +0200

    move emitter initialization into `start`. (don't block/start watching on object creation)

commit f15f38147d2bdd8dc9da995fd0e91fae94dd27a7
Merge: 37ad8e7 0fd68df
Author: tamland <thomas.amland@gmail.com>
Date:   Wed Sep 10 01:42:55 2014 -0700

    Merge pull request #270 from Falldog/windows_shutdown_issue
    
    fix the issue: watch & unwatch the same folder on Windows

commit 0fd68df120bb42f4759dff81e9ee35f952057a75
Author: Falldog <falldog7@gmail.com>
Date:   Fri Sep 5 21:29:50 2014 +0800

    fix the issue : watch & unwatch the same folder on Windows may cause exception "Access Denied"
    should close the dir handle

commit 37ad8e7ae6ffb5022a29229521a56ee28b7232f8
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri Sep 5 14:45:33 2014 +0200

    add accessor to emitters created by observer

commit 46b0b5dc0a0397dd18dc00300ef052f6f6e4d969
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri Sep 5 14:33:49 2014 +0200

    [tests] join obsserver before verifying, so it doen't depend on synchronous impl. of stop

commit 060906d67bbb90a2da8c59363400f37c3b3babde
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Mon Sep 1 17:18:54 2014 +0200

    [tests] remove unnecessary test. tested in test_emitter.py

commit 282a6734c24f9230fa0835b0b6f387d50265e6cb
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Mon Sep 1 17:16:38 2014 +0200

    [tests] verify that emitter terminated in function teardown

commit 9c261dc2f309b5d32895cd48a10ce6a50e1bda24
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Mon Sep 1 16:43:46 2014 +0200

    simplify inotify buffer implementation by factoring out a generic delayed queue. separates the inotify/threading work
    from the queue

commit d5fbf8723a57efdf3920551c66658e95751176c3
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sat Aug 30 13:18:40 2014 +0200

    [inotify buffer] immediately unblock read_event and return None on close instead of using the special stop event.
    properly interrupts all threads and subsequent calls.

commit 5799f3e546f3457ca3cf31598a9df306bce21f8e
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri Aug 29 16:19:56 2014 +0200

    move sphinx markup to docs/

commit f2aa073647aa28b3838b81d38f0953ea7b3907c0
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri Aug 29 16:06:58 2014 +0200

    rename DaemonThread to BaseThread. preparations for making all threads non-daemon

commit c38e0251294cd65925ef98da8fe3785eb3c1544f
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri Aug 29 15:17:11 2014 +0200

    [inotify] make delay a class attribute

commit 3fda8faef7dccaefc29bb9c4a84fce4819141118
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri Aug 29 15:11:11 2014 +0200

    [inotify] update some comments and names for readability

commit d344a0273cf048a258bb3ad91623eab2f3112885
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri Aug 29 11:56:20 2014 +0200

    explicitly check if we have the emitter. assignment here does nothing.

commit 78b61bbc2ca93025090a7c4933b6e7bbdad92130
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri Aug 29 11:19:21 2014 +0200

    refactor: remove the silly get/add/remove wrapper methods for internal collections. use explicit checks instead of
    catching KeyError.

commit d5eb1e31c535a4076ad51f18594e70c1940437ec
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Aug 27 14:27:44 2014 +0200

    dont start emitters on schedule if observer is not running

commit 6c84a703c09464947697435e1456ff8def5e946c
Merge: bc677d7 6b5c0a8
Author: tamland <thomas.amland@gmail.com>
Date:   Tue Aug 26 11:13:55 2014 -0700

    Merge pull request #265 from apetrone/master
    
    Fix unused arg treated as error with clang

commit 6b5c0a80129fb0c4237b60fd844213694692d3b0
Author: Adam Petrone <adampetrone83@gmail.com>
Date:   Thu Aug 7 02:14:29 2014 -0400

    Fix unused arg treated as error with clang

commit bc677d7e249ba79b2c74e037d818b6bc05421e3d
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Mon Aug 4 11:57:29 2014 +0200

    add observer api tests

commit b86533f5137fa8e50934eff77e7f89d77661730c
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Thu Jul 31 12:06:18 2014 +0200

    remove dependence of implementation details from test

commit 114d116f696e3569d7c7ecb15af34d9bfe23d742
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Mon Jul 28 14:50:56 2014 +0200

    raise AttributeError instead of ImportError on missing library functions

commit 6bced05f3dbc2d214a211a5af96500d40363c32b
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Mon Jul 28 14:45:44 2014 +0200

    cosmetics

commit 9582bc5a77577bf9986c24254ddb0a6e09f8167e
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Mon Jul 28 14:45:25 2014 +0200

    remove legacy tests

commit d116a318a55c8c64ee01d5ebec66f936a847e065
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Mon Jul 28 14:43:23 2014 +0200

    make is_directory for events a class attribute

commit 79e69e2cae1f0f06e343fdfe12058e1a5139cded
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Mon Jul 28 14:15:40 2014 +0200

    cosmetics

commit 3d141168cdfdd1b6440ef135a2a8d1aef654f02b
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Mon Jul 28 14:09:15 2014 +0200

    make event_type in FileSystemEvent a class attribute

commit aadfc3a926a7b0f7e1c2ff3ebb4d84bb8eb7468b
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Mon Jul 28 13:50:04 2014 +0200

    remove legacy tests

commit ef4089867e51be975b6d2dabf3751a4a91e110f6
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Mon Jul 28 13:05:05 2014 +0200

    add teardown of emitter tests. fixes pytest deadlocking on failing tests

commit 0667f20628fb1eff483fdc22b28237170e186f78
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Mon Jul 28 11:50:10 2014 +0200

    v0.8.1

commit 82f5cd814cae00153066125f69ef0ab5bbf04c8f
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Thu Jul 17 11:43:21 2014 +0200

    join emitter threads after stop. fixes #252

commit 3bbcd5b07a3cd01e8e60d9ba95bc1ee632712112
Merge: be2bff9 d03ea36
Author: tamland <thomas.amland@gmail.com>
Date:   Thu Jul 17 02:29:03 2014 -0700

    Merge pull request #251 from chevah/250-inotify-close-block
    
    Fix inotify stop dead lock. Closes #250

commit d03ea36f6d1e3ba80c36ecf6e1d024e6b9c743ab
Author: Adi Roiban <adi.roiban@chevah.com>
Date:   Wed Jul 16 12:35:44 2014 +0100

    Fix inotify stop.

commit be2bff92ebb4eaf8bfb979bf0b63bc083839b64e
Merge: cefefb5 1d40eff
Author: tamland <thomas.amland@gmail.com>
Date:   Wed Jul 9 10:52:09 2014 -0700

    Merge pull request #249 from Witos/witos/fd_leak_fix
    
    Fix anon_inode descriptors leakage

commit 1d40eff3483d29f7a983e94d2d6e8fb2c26cfd02
Author: Piotr Witoslawski <pwitoslawski@opera.com>
Date:   Wed Jul 9 11:48:11 2014 +0200

    Fix anon_inode descriptors leakage

commit cefefb58cdebc02372e06b91f99b662d1bf9bd52
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Jul 2 14:22:07 2014 +0200

    fix changelog formatting, maybe

commit 93ff1dab2107b8b6c99e34049e6daa4d679ee304
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Jul 2 13:51:41 2014 +0200

    v0.8.0

commit 9c84dc5f37e361726c9f21d711b642f076c219cc
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Jul 2 12:54:16 2014 +0200

    [snapshot] remove deprecated method. note in changelog instead

commit b54636dfc2b650d21e34de193975371a698a75e0
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Jul 2 12:52:56 2014 +0200

    [snapshot] fix ino/dev order

commit 71bdf62c70120c86df95649af79c3aaee4d56462
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Jul 2 12:50:24 2014 +0200

    [snapshot] rename parameter to avoid confusion between inode and (ino,dev) tuple

commit 433ef1c453411201f2e67a08aa61063787a06fec
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Jul 2 12:32:56 2014 +0200

    [snapshot] fix wrong key used for root and function stored instead of path

commit 2b253deb0251f403b87bc699d36faad1cbb1d8c3
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Jul 2 12:08:20 2014 +0200

    bump argh version requirement

commit 56faeb8e28b1360f8ed902e398edd525e1019f17
Merge: 2530910 5e7bd7d
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Jul 2 12:07:15 2014 +0200

    Merge branch 'master' of github.com:tommorris/watchdog

commit 2530910c524331cbe1fd0a952775eeeea363e6b3
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Thu Jun 26 14:20:44 2014 +0200

    [doc] minimum python version is 2.6 now

commit bf1acc6b9718fb150c00abd13ea4cbb2e0b45d48
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Thu Jun 26 14:16:55 2014 +0200

    [doc] update caveats

commit 95e0cefa28b33a1226be3a0971c2e6e9fe41d8b9
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Thu Jun 26 13:37:17 2014 +0200

    [doc] remove outdated information

commit 4c23ccea452dca0b998336955b981b6e07cb3ee7
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Thu Jun 26 13:29:21 2014 +0200

    remove utility functions from documentation.
    
    should really only be used internally

commit 000e39d4d8cab60e44d93d52c88a36344b8c85d7
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Thu Jun 26 11:57:15 2014 +0200

    [watchmedo] remove absolute path conversions

commit 3515a63216b748f304ec994675eb08c9cea3a39f
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Thu Jun 26 11:42:35 2014 +0200

    [watchmedo] remove unused code

commit 2418837d4ac28548063d829671281cb842a8e7a8
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Thu Jun 26 11:39:30 2014 +0200

    remove unused imports

commit bfe4a5af3a1e471d13e031a0e53469919d9c4dfe
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Jun 25 20:22:50 2014 +0200

    [inotify] clean up path handling
    
    - removes all absolute path conversions
    - changes low level inotify wrapper to bytes only
    - convert event paths in emitter based on input path

commit cc52b3d848f50bebda3cfccc1a51595e776235ae
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Jun 25 15:07:17 2014 +0200

    fix typo

commit aacd4a3db5f9b663c8c63d1e47db8e7470baaf8f
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Jun 25 15:01:38 2014 +0200

    [inotify] rename `buffered` to `buffer`

commit dc330630af5a3de565388aa8455c938e549b0667
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Jun 25 14:58:16 2014 +0200

    remove failing repr and str legacy tests

commit dd69d0c80d9870b8b28de114f74ee9ce964f0a8d
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Jun 25 05:48:41 2014 -0700

    [win] fix reduce not imported (py3k)

commit e4c06c85d456ef63179c5598ceb9b201062356b0
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Jun 25 04:28:27 2014 -0700

    remove absolute path conversion

commit ff9303264a1d22c6c87244154a1fb9f93a4d4e04
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Jun 25 04:21:41 2014 -0700

    [win] use repr to make event printable

commit abb6fd44e9b5a0861128351a72918a9c76b93e0f
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Jun 25 03:00:56 2014 -0700

    use repr for event paths. fixes encode error when printing event where unicode isn't supported

commit 5bada017857fbf10eaa8062cd36691fba5441ea5
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Jun 25 02:11:01 2014 -0700

    remove unused import

commit 545aa5f884c9e3f7dcebf4794ea0f620e5efbc20
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Tue Jun 24 20:31:09 2014 +0200

    typo

commit ba28d86531ee08e7a75193746d377178ef1a7529
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Tue Jun 24 08:16:24 2014 -0700

    remove unused code

commit ba0b3bc7f3006d41e70d3443888c99b2b6c73003
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Tue Jun 24 07:13:00 2014 -0700

    increase sleep time in snapshot tests for windows. mtime seems to have lower resolution here too.

commit a7e999345f2e332988a48dd826d1ab27c18a3e9e
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Tue Jun 24 07:07:41 2014 -0700

    [win] only silence exceptions from io cancel. closes #167

commit 24c7fb048843e1801f8c8943450e14c50a85fe46
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Tue Jun 24 06:23:28 2014 -0700

    [win] refactor to similar structure as inotify implementation.
    
    separates low level events from watchdog events/translation layer. adds
    wrapper for native events to be used later.

commit dd0eb9d58ebccfe15d51f5a12be89f0cff627591
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Tue Jun 24 03:51:14 2014 -0700

    [win] refactor

commit 5064ef238251ab1e4282bedadf57609089dff256
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Tue Jun 24 03:27:21 2014 -0700

    [win] remove unused code

commit a88c27b9afab0830318e1bdff8712c84e0bd76ae
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Tue Jun 24 03:23:12 2014 -0700

    [win] merge winapi modules

commit 1250090df0bde15db9e19f891f83bc8a7b2d80d2
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun Jun 22 12:07:25 2014 +0200

    [inotify] don't read in_close events.
    
    i'm guessing this 'bug' was related to ee4af8d2de7eb0c08

commit ee4af8d2de7eb0c085de0ad9dd50646ed836d9d7
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun Jun 22 12:00:46 2014 +0200

    [inotify] off by one error. last event in buffer not read

commit 8f0371d720d79382e753535fb7dbe418d664f11c
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sat Jun 21 18:09:13 2014 +0200

    [inotify] refactor/cosmetics

commit ce975ab49540bb7171ac2f5241ee24ff7f8a1875
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sat Jun 21 17:51:20 2014 +0200

    [inotify] generate sub created events for move to

commit 12d00da778a15ca1c18632f6c2472620af022332
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sat Jun 21 15:20:12 2014 +0200

    cleanup sub event generation

commit 514ff71169a003cdf5f3c393a542bf4707d4afc2
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sat Jun 21 14:18:30 2014 +0200

    change watchmedo logevel to info. (don't print messages from inotify_buffer etc.)

commit 7022cf9652f2ce644a8ed4ef0fba58c15960b7ec
Merge: 0f93b5e 5d85da3
Author: tamland <thomas.amland@gmail.com>
Date:   Sat Jun 21 14:00:00 2014 +0200

    Merge pull request #246 from frewsxcv/patch-1
    
    Enable automated testing with Python 3.4

commit 0f93b5e65e6dc1f8cbd5141aef77876466a72976
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sat Jun 21 13:58:03 2014 +0200

    add back working tox script

commit a15b6db107a3061592951c52da1e2b567eaddab8
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sat Jun 21 13:32:43 2014 +0200

    add changelog to manifest template. closes #244

commit 5d85da3acee7558a889c1eb53d0f505c69b3f51d
Author: Corey Farwell <coreyf@rwell.org>
Date:   Fri Jun 20 22:41:28 2014 -0700

    Enable automated testing with Python 3.4

commit 3bb104d842e7f100ca7dc32e2475b811e17ac6f5
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Thu May 29 12:52:00 2014 +0200

    give more helpful error messages on inotify errors. closes #155

commit c6788c3251b625ec79aa0261f10e4d4b2b033c3c
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Thu May 29 12:15:28 2014 +0200

    remove unused code

commit 2a15219ed473f9b86ce7eaae14978a5ea2f78f49
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed May 28 20:48:43 2014 +0200

    refactor queue imports

commit 401e64dfc328b12c9fdc1689b26b2b9056709371
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed May 28 20:37:04 2014 +0200

    port emitter tests to osx

commit 3a8cb6d626147dada8cdd4452e75dffe414092f1
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed May 28 17:49:59 2014 +0200

    initial implementation of new fsevents observer using pyobjc

commit fb122ff80f57dc66f04d441272c7bb3d305cd3b0
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed May 28 13:49:15 2014 +0200

    [tests] properly skip inotify tests (pytest wont skip imports)

commit cc8c734fcc7de425c5613807e99e10710227313b
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Mon May 26 12:38:29 2014 +0200

    [tests] path to tempdir contains symlinks on osx. convert to real path

commit e3d6e93f3db8f2b48073f1ed50fd89e558e61227
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sat May 24 15:04:59 2014 +0200

    fix failing tests on osx because of low mtime resolution

commit 52aa6c8a08ce087759f4a3a95d0f36abc4db489a
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri May 23 15:52:06 2014 +0200

    add documentation for inotify buffered

commit a9cafbbd1fb6943201cc6070dd072779612ce4ff
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri May 23 15:51:36 2014 +0200

    cleanup inotify emitter

commit 54b9b78dea1d5147e8a00df76438e820eaaaf68c
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri May 23 15:15:50 2014 +0200

    close inotify in tests

commit 7c604cdd0b96c33c3b2ca607aafeda7c40ad19bd
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri May 23 15:11:05 2014 +0200

    mark inotify tests linux only

commit 0cf696c347f10c56f50b2dc88f4c7cd7d3d9ceec
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri May 23 14:55:45 2014 +0200

    refactor pytest fixtures

commit fbed63b694ec0cad1045a63f22239073ddd7227c
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri May 23 14:47:48 2014 +0200

    refactor

commit 19db36b995f7fdde094b9f09591c67406cf803be
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri May 23 14:32:56 2014 +0200

    separate old integration tests from currently up-to-date and maintained ones

commit 289c2e7a40f98596c024416b970b28af487093fe
Merge: ac45e89 5914f2a
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri May 23 14:22:50 2014 +0200

    Merge branch 'delayed-inotify'

commit 5914f2a7e2de922f66d723f021d9276f8bfd3f5f
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri May 23 14:19:01 2014 +0200

    generate dir. modified events on moved files. fixes tests

commit 645c960d13a0f86fbf2ed8a0c56dc5404f8b280e
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri May 23 14:17:27 2014 +0200

    add tests of inotify emitter

commit d76342284889700bb1e34103cf07bd30e267ecfd
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri May 23 14:11:58 2014 +0200

    [buffered inotify] add tests

commit aeaaa6d811c4218773373595cff67d0a6747e64f
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri May 23 13:59:07 2014 +0200

    [buffered inotify] move default delay to class

commit 9bdb42230caf9cf806e4e0ac14133b957a5d073f
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri May 23 12:42:33 2014 +0200

    [buffered inotify] mark all attributes protected

commit ac45e89bfc7e247d78081863352ac848dd27234f
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri May 23 11:21:40 2014 +0200

    add .egg to gitignore

commit 4660d9fd7408d16efeff359503fce843f72e3fb7
Merge: 266fecd 91cce36
Author: tamland <thomas.amland@gmail.com>
Date:   Thu May 22 20:16:40 2014 +0200

    Merge pull request #241 from gotcha/patch-1
    
    Typo

commit 5e7bd7d9a35b61426bcc1bc0a1064a45f4bd7671
Author: Tom Morris <tom@tommorris.org>
Date:   Wed May 21 11:17:27 2014 +0100

    fixing deprecation warnings with argh
    
    When I run watchmedo, it throws a whole load of deprecation warnings.
    
    Just added the relevant decorator changes to make those go away.

commit 91cce3646730a6be9aedbffbeb39ceb94a3e84f0
Author: Godefroid Chapelle <gotcha@bubblenet.be>
Date:   Mon May 19 11:44:40 2014 +0200

    Typo

commit 266fecdb3a07ad9601025f163378ba6de9ff4407
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun May 18 13:14:19 2014 +0200

    add changelog file

commit 9d26e52f82e9562f0429d5b13b1eab4a669e1cd5
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun May 18 12:36:39 2014 +0200

    bump pyyaml version. closes #234

commit bce7cd147c3d4a1dfda708ed5fc0f7234219ff6e
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun May 18 12:35:34 2014 +0200

    add changelog to long description

commit e962fef786de59d9f372fd604ae638c79dc20fdb
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sat Apr 12 19:15:33 2014 +0200

    fix open file not being closed

commit 52cdfa0ad94773e2b4908adb2417edc398678d40
Merge: a839194 807f6d3
Author: tamland <thomas.amland@gmail.com>
Date:   Sun Apr 20 15:51:18 2014 +0200

    Merge pull request #232 from pypingou/include_tests
    
    Include the unit-tests with the sources released

commit 807f6d306a0b0905612ef17d0612dd0292205247
Author: Pierre-Yves Chibon <pingou@pingoured.fr>
Date:   Fri Apr 18 18:13:05 2014 +0200

    Include the unit-tests with the sources released
    
    This way downstream packagers can run the check when packaging the
    application.
    
    Signed-off-by: Pierre-Yves Chibon <pingou@pingoured.fr>

commit a8391941d4ff450483f0dfe2b5a3c02ecdd8f818
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Thu Apr 10 16:25:49 2014 +0200

    rename no_parallel_processes

commit 60efd7414fbe23e6b508be77d84b48ad94b87982
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun Apr 6 11:37:39 2014 +0200

    close opened files

commit cd649a0b1cfaef5c5ad98caf35652c31471e37f2
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri Apr 4 13:12:53 2014 +0200

    remove unused import

commit 66e58e27dee3ec23f27ded394375f506a8d1c5b5
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri Apr 4 12:59:47 2014 +0200

    fix references

commit 87ecfdc0ff6dbab4ee2c6d6d98e40f6f3ae51c5a
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri Apr 4 12:51:40 2014 +0200

    fix heading

commit c45a6dcc3d40176e4102cd4d98c60fb1360b4946
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri Apr 4 12:50:15 2014 +0200

    add 'contribute' section to readme

commit 2f095a2ac15c7fa3f29f6bab10e883c5ddd1ac33
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri Apr 4 12:14:56 2014 +0200

    improve documentation

commit b8e5db09e68996ac2b38dbe8c146b3a028499bae
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri Apr 4 12:09:11 2014 +0200

    add polling observers to api docs

commit 68a32e3b6ee3ffcd3d3acf5a0072a1628e7b014f
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri Apr 4 12:02:20 2014 +0200

    add vfs observer

commit ff428318816a793c8a4f8f724db20649a5d582ab
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Apr 2 15:22:50 2014 +0200

    [inotify] fallback to 'libc.so' (android)

commit 3bcd354d90666f04d14dc263d7409e0464f2d301
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Tue Apr 1 19:00:23 2014 +0200

    [polling] listen for stop event instead of using blocking sleep()

commit a5d0f5d7f0b65e08f828960c9e0f344dbf14f803
Merge: 3a0f0ec 060e59a
Author: tamland <thomas.amland@gmail.com>
Date:   Mon Mar 31 16:17:08 2014 +0200

    Merge pull request #228 from cro/no-parallel-option
    
    Convert patch for --no-parallel to a PR

commit 060e59a8af52a221088f28206dff5a4df753a1cc
Author: C. R. Oldham <cro@ncbt.org>
Date:   Fri Mar 28 13:55:56 2014 -0600

    Create pull request for adding --no-parallel as coded by @BernieSumption in issue #227

commit 3a0f0ec7a4f227f01988cbf459e23a3781698256
Merge: d3214cc 7095e95
Author: tamland <thomas.amland@gmail.com>
Date:   Sun Mar 23 12:51:28 2014 +0100

    Merge pull request #225 from berdario/terminate_subprocesses
    
    Terminate all subprocesses

commit 7095e9550b102b2c50db5ff05525318b953a0078
Author: Dario Bertini <berdario@gmail.com>
Date:   Sat Mar 22 22:12:15 2014 +0100

    Send the signal to the process group of the spawned process
    thus handling all its children in the same group
    (setsid is needed to get the process into a different group than watchdog)

commit d3214cc8fe7ceb98cb7b40d398e76ca5c1bf5272
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Tue Mar 18 11:21:36 2014 +0100

    remove references to old flask theme

commit 1807b38acc0094956c8b5a0a2867112f983ca0c6
Merge: 10ee902 133ecf3
Author: tamland <thomas.amland@gmail.com>
Date:   Sun Mar 16 15:54:31 2014 +0100

    Merge pull request #223 from Ormod/syntax
    
    win32stat: Change python2 syntax octal integers to also work with py3k

commit 133ecf3c05064dc7403b09a0b05e61f22d021679
Author: Hannu Valtonen <hannu.valtonen@ohmu.fi>
Date:   Wed Mar 12 09:45:44 2014 +0200

    win32stat: Change python2 syntax octal integers to also work with py3k

commit 10ee9025610aa31aa95f7f96481e28163eea4922
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun Feb 23 18:57:20 2014 +0100

    remove unused imports

commit 1a2be4690afa4c7b86a977063b77c60e0881d1fb
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun Feb 23 18:52:54 2014 +0100

    forgot to check for recursive

commit ce27391e2cd602e5fed57e9dd7de03e069314638
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun Feb 23 18:42:50 2014 +0100

    remove outdated information

commit dfaa08390f5b2e0f63cc96a1b26ae1d37b500697
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun Feb 23 18:38:02 2014 +0100

    add listdir parameter

commit 2b9ecf21eb1eab5faf2b30cf8a35035bfa9ae336
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun Feb 23 18:26:24 2014 +0100

    avoid calling stat twice for each path by using listdir instead of os.walk
    
    benchmarked to around twice as fast as old snapshot

commit f4282d64934f63bc4ac8ac1a5a5d1dc135bbfb96
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun Feb 23 16:25:32 2014 +0100

    include st_dev when comparing files

commit 13c62867c00c4f483a14b3fd0f605df9c51b77e0
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun Feb 23 16:16:44 2014 +0100

    fix rename from previous commit

commit 2af868a210d4cba868baead9d5719f93b2d579cf
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sat Feb 22 17:55:08 2014 +0100

    undeprecate stat_info

commit a59f58d13957b4d5a421fa49b678f172fd8d8088
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sat Feb 22 17:45:18 2014 +0100

    add option to specify stat function for dir. snapshot

commit 5200577607a099a5ffd28c2b0d3bebcc1ac2f7bc
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sat Feb 22 08:27:48 2014 -0800

    use default stat result struct. added memory consumption seems insignificant

commit 0090690f6e9c165f6ea274eccd0408cfbd7e48d9
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sat Feb 22 08:22:58 2014 -0800

    implement st_dev/mode/mtime in to avoild double work by calling stat gain

commit 2af8469375d2d254f3376dc01d9ede01ee6d78e7
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sat Feb 22 13:45:41 2014 +0100

    update emitter to use buffered inotify

commit 7ef8dce8607ec59133147c70ff02df2d199f5a39
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sat Feb 22 13:44:56 2014 +0100

    initial implementation of buffered inotify

commit af5f2412db8cac0c4f2b61b6cdc99531082ea97e
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun Feb 16 19:31:12 2014 +0100

    inotify: remove non_blocking option. not in use nor implemented

commit 08a0a3d5390aa72eb3b0d2a038a7e3df1439ecf6
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun Feb 16 18:33:07 2014 +0100

    fix close for inotify. os.close never worked

commit 7252ad554a8fc9453e85d1f3aada6b608b2afc1e
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun Feb 16 12:51:52 2014 +0100

    inotify: generate dir modify event for create/delete

commit 12d60a95312a9f3e862b4bdaed83d299bf4808ac
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sat Feb 15 07:10:58 2014 -0800

    fix invalid handle value for x64. closes #123

commit bf89c144826a810322911472bdc24b27e5e572df
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sat Feb 15 06:34:13 2014 -0800

    update tests to reflect changes

commit f8b6640a2d77841d1fae1024b7929a9095d426bb
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sat Feb 15 06:31:23 2014 -0800

    update dirshapshot to use new stat function

commit 54c273019a83f0e3a47203d19a68bac4878316c6
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sat Feb 15 06:26:10 2014 -0800

    fix mv. shutil.move will silently fail on windows and just delete the source file instead

commit 2c2723d576567f64102fa3c39dcea1d6df52e936
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sat Feb 15 05:06:54 2014 -0800

    add custom implementation of stat with ino support for windows

commit d88ae9e246785b71ed73af5f84c03a552a1552e1
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri Feb 14 11:59:04 2014 +0100

    fix path in windows tests

commit 1fcb7c2e12d7f025b032e58b30a3e35b1fa25ba5
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri Feb 14 11:54:57 2014 +0100

    fix path in windows tests

commit 8d5342c52be0bafe2d6495dda7434d7ab7f56462
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Thu Feb 13 19:58:16 2014 +0100

    polling: take the first snapshot in thread. init blocks observer.start()

commit 801765fbbdc702bd6f9fa301b8732fff1a8c227e
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Thu Feb 13 19:46:50 2014 +0100

    cosmetics

commit 273cc8b3f5478e3e53b8e492b83af8e90c179da0
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Thu Feb 13 19:45:24 2014 +0100

    polling: explicitly check if we should stop instead of setting to none

commit 1e719460ade8b3c605055585a414d0aed03b0a85
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Thu Feb 13 19:33:58 2014 +0100

    remove unused code

commit d071c12a2c3390dd2a1870ddffec411ee82fbf6d
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Thu Feb 13 19:30:11 2014 +0100

    remove unused code

commit 2d1b877e5c37d81b729f3f7ff3450ce3978e40db
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Mon Feb 10 20:18:45 2014 +0100

    refactor DirectorySnapshot and DirectorySnapshotDiff
    
    includes removal of parameter _copying and method copy,
    deprecation of methods for DirectorySnapshot

commit 9a453980343f84525f5befdef25b695802194798
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Mon Feb 10 16:49:28 2014 +0100

    fix some tests and add delay for everything that tests modification (mtime have too low precision)

commit 2f2f53abe2cd66026f14492baa24528947d9ce27
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sat Feb 8 15:18:08 2014 +0100

    be quiet travis

commit 54bbc1592d9225968340e3f2824c8df0f6e673f3
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sat Feb 8 15:01:54 2014 +0100

    remove old tests. covered by test_snapshot_diff.py

commit e37e4905b3c7afe94a7fef7430f3e619dc236c68
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sat Feb 8 14:58:41 2014 +0100

    add tests for known issues with snapshot

commit b70fe06d4e7f3bdcdde21c619fbf925595a624ba
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri Feb 7 13:17:58 2014 +0100

    change sphinx theme. closes #45
    
    better late than never..

commit 808d858d49d66d845447e00972eab8d1c1195e86
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun Feb 2 18:04:51 2014 +0100

    v0.7.1

commit a440f19957e84af487c768dc51d449b2e6e66f19
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun Feb 2 18:01:20 2014 +0100

    fix indentation error in docs from previous commit

commit d520a6dfa7da457b71d9c1d90a1d5429afddf7cb
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun Feb 2 17:04:11 2014 +0100

    remove the observer selection and import excplicitly based on platform
    
    the try except system is too fragile. if any of these imports fails
    there is an unknown bug and should be fixed, not silently ignored.

commit c9629968fbf67561036030d0306d0ce149dbdf91
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun Feb 2 16:31:27 2014 +0100

    fix inotify import for python 3

commit a45612f36ea31a57a09791f2ecd4b850b16abb09
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun Jan 26 13:18:58 2014 +0100

    remove unused coverage config file

commit 459edd8eb959bb08279d7e0bbad0861edd52a273
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun Jan 26 13:09:43 2014 +0100

    remove old run test script

commit 68c97e178e6910256b624253cc9c07bf96263f33
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun Jan 26 13:08:56 2014 +0100

    remove unmaintained tox script

commit 99d8cf9dc3a39c6e7eed9a8d9699a924f2765138
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun Jan 26 13:05:27 2014 +0100

    update ci scripts to use pytest

commit cc0a92cc8f070c76b8d2d60890d2029f32fe4dfd
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun Jan 26 12:32:49 2014 +0100

    cleanup travis ci script. use setup script

commit 25146347c3be0f034d1663237b956d5c1df16207
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun Jan 26 12:29:02 2014 +0100

    add unittest2 dependency to setup.py

commit 66a79876ee8542a4f9f3c534f4b902da329bfa8d
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sat Jan 25 15:51:29 2014 +0100

    cleanup setup.py

commit 058b1c1b0d20b42ae3195508bbd5e74c99bb27b5
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sat Jan 25 15:30:16 2014 +0100

    add py.test test runner to setup

commit b0e209e652a8b0e7da5a713ab98f9601be0cbfb8
Merge: 9f92424 087a01a
Author: tamland <thomas.amland@gmail.com>
Date:   Sun Jan 19 10:52:12 2014 -0800

    Merge pull request #207 from tomchristie/patch-1
    
    Added Python 3 support to setup.py

commit 087a01a0a05edafbaeca6fee23a9fcd27e6a7e68
Author: Tom Christie <tom@tomchristie.com>
Date:   Fri Jan 17 11:28:54 2014 +0000

    Added Python 3 support to setup.py
    
    Ticket #150 and commit 2f71d6621d7d1d7fe733488f09d23533c772c849 indicate that watchdog now supports Python 3.
    
    This change updates the setup.py so that the next PyPI release will be properly marked as Python 3 compatible.

commit 9f924240d259f4a20a2a54251c9cbe9140680a21
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Jan 8 22:00:13 2014 +0100

    v0.7.0

commit 7a892341011b8ea0ed11ccb0235ae8abdc36aa9d
Author: Grégory Salvan <apieum@gmail.com>
Date:   Mon Dec 23 16:51:08 2013 +0100

    Use locally declared unittest lib in unit tests.

commit 9c42a7925d4e872a6245301ef68b2b9aa1f0aa7b
Author: Grégory Salvan <apieum@gmail.com>
Date:   Mon Dec 23 16:50:11 2013 +0100

    Declare unittest lib used within python version

commit d38767df131d6b15b343ff7c78f27897f2242d16
Author: Grégory Salvan <apieum@gmail.com>
Date:   Mon Dec 23 16:49:17 2013 +0100

    Always use unittest instead unittest2 (same api used in this case)

commit 7e2a43f96b34989aed124b31397ed4c873460b0e
Author: wbond <will@wbond.net>
Date:   Wed Jan 1 03:34:58 2014 -0500

    Updated fsevents observer to properly compile and run on Python 3

commit 81f78b69a9c035cb83a48deb1faf2c57fdc96c9d
Author: wbond <will@wbond.net>
Date:   Wed Jan 1 03:33:48 2014 -0500

    Removed running 2to3 from setup.py since it butchers the custom Python 3 work I did

commit f485ff6959e470870369e3cd97ba0b193205aa1e
Merge: 587cbee 18b2a05
Author: tamland <thomas.amland@gmail.com>
Date:   Mon Dec 9 02:30:37 2013 -0800

    Merge pull request #198 from fanqiuwen/189-fix-ignore-regex-default
    
    Fix ignore_regex default value. Close #189

commit 18b2a05dd83ad06629f72c75d3805839547f1930
Author: Owen Fan <fanqiuwen@gmail.com>
Date:   Sun Dec 8 15:55:04 2013 -0500

    Fix ignore_regex default value. Close #189

commit 587cbee4a1fcd25ee7e9b8d6197f3421c7e00682
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sat Nov 23 13:10:30 2013 +0100

    update docs on supported os. closes #178

commit ee30e78294932addb356a6785c6a9505a68ee2f9
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri Nov 22 16:22:04 2013 +0100

    remove unused constant ALL_INOTIFY_BITS

commit da2393e8845b04f80f924196af7172d166b109a8
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri Nov 22 16:07:38 2013 +0100

    refactor: split low level inotify code and watchdog emitter implementation into separate files

commit 5c8bc483ca11a867fae03e9c64d0f714f7ad3e5b
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun Nov 17 22:25:07 2013 +0100

    Revert "fix kqueue platform check"
    
    This reverts commit 3539a4cddc7f1ce4b695c1ee07d961898f6bda27.

commit c9071132907ac99f0908a6f9f1b33a3aeef7f72c
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun Nov 17 19:29:11 2013 +0100

    fix indentation

commit 90a3fd6e8fd02071c187ea3f42eb6265c0342fbf
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun Nov 17 19:28:35 2013 +0100

    undo bad refactoring. (closure refer to variables outside)

commit 3539a4cddc7f1ce4b695c1ee07d961898f6bda27
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun Nov 17 19:09:45 2013 +0100

    fix kqueue platform check

commit c9349728fe93f0082747c8e29c50ce7286df6631
Merge: f928298 5ca1c21
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun Nov 17 19:07:18 2013 +0100

    Merge branch 'master' of github.com:petermelias/watchdog into petermelias-master

commit 5ca1c2147d2e528dc5c3dc261f78090decc38b98
Author: Peter M. Elias <petermelias@gmail.com>
Date:   Sun Nov 17 09:51:12 2013 -0500

    cosemetic cleanup of setup.py

commit c7ee33790dde9fdb82dc31e36374c851160ebbc1
Author: Peter M. Elias <petermelias@gmail.com>
Date:   Sun Nov 17 09:19:05 2013 -0500

    added AttributeError and cosmetic adjustment to winapi

commit a1e0d8c4290eab71f3fc9b1a301dc7081034e0a4
Author: Peter M. Elias <petermelias@gmail.com>
Date:   Sun Nov 17 09:08:34 2013 -0500

    cosmetic / semantic refactor of the observer import system, slight redesign. added backcompat importlib2 to watchdog.utils

commit 695e981229308e2f0e5dab645ac276f9b7bda6d8
Author: Peter M. Elias <petermelias@gmail.com>
Date:   Sun Nov 17 08:42:28 2013 -0500

    semantic refactor of watchdog.observers.inotify.read_events

commit 9a83813add62c0eaab5cdf8ca15a0a4a4c916c7a
Author: Peter M. Elias <petermelias@gmail.com>
Date:   Sun Nov 17 08:30:59 2013 -0500

    cosmetic refactor of watchdog.observer

commit 8861b817b01027a6e58cc13ff8b6d31748985854
Author: Peter M. Elias <petermelias@gmail.com>
Date:   Sun Nov 17 08:14:01 2013 -0500

    cosmetic refactor of top level modules, watchdog.[utils,tricks]

commit a9b70185f8880b62a8dd333d2937df6192f711b7
Author: Peter M. Elias <petermelias@gmail.com>
Date:   Sun Nov 17 07:55:59 2013 -0500

    cosmetic refactor of tests and utilities

commit f928298f93e11af5b08b6edef49ba5ca9c9563d1
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun Nov 17 13:07:28 2013 +0100

    remove README symlink

commit 8d63bb53d31fe3b45a08f75481518e0191c5f3c9
Merge: ff699c3 4e79dfe
Author: tamland <thomas.amland@gmail.com>
Date:   Wed Nov 13 04:33:47 2013 -0800

    Merge pull request #194 from andreif/feature/fix-python-include
    
    Fix include python. Closes #188

commit 4e79dfea9174a70f022f1bcf87c3de023b4049a3
Author: Andrei Fokau <andrei@5monkeys.se>
Date:   Mon Nov 11 14:54:50 2013 +0100

    Fix include python. Closes #188

commit ff699c3727816da17ca9a8fc229ccdc9fea14f45
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Nov 6 19:47:25 2013 +0100

    cosmetics

commit ce92680202fb468652e6bfe4d5b4ea3df99b61db
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Nov 6 19:29:25 2013 +0100

    inotify: dont fire modify event on IN_CLOSE_WRITE

commit d091e0d2f435f18714302c66f069bae05aced747
Merge: 6a9a442 5aaef0d
Author: tamland <thomas.amland@gmail.com>
Date:   Thu Oct 24 05:49:44 2013 -0700

    Merge pull request #185 from tony/patch-1
    
    Readability, enable pygments highlighting in README.rst

commit 5aaef0d4273028b2e3a8893530e363f6c7515d6c
Author: Tony Narlock <tony@git-pull.com>
Date:   Thu Oct 17 09:06:07 2013 +0800

    Readability, enable pygments highlighting in README.rst
    
    Use the full ``code`` directive with the language option passed in to highlight code for python, bash and yaml.

commit 6a9a442771e5f03f6d333a1cf84b4c54c1ebc289
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun Sep 8 16:30:17 2013 +0200

    pass encoded path to os.path.isdir et.al. as they do not use a fallback encoding and will fail if locale is C and path unicode.

commit b1518b19ebc7e0b947e7d6d3b8babc15330f3176
Author: wbond <will@wbond.net>
Date:   Fri Sep 6 00:05:52 2013 -0400

    Changed unicode_paths to only use positional arguments for Python 2 compatibility

commit 2f71d6621d7d1d7fe733488f09d23533c772c849
Author: wbond <will@wbond.net>
Date:   Thu Sep 5 23:01:01 2013 -0400

    Updated .travis.yml to test against Python 3.x

commit 721e5500417dcb3c0fd662885810673f2a154fe5
Author: wbond <will@wbond.net>
Date:   Thu Sep 5 22:50:26 2013 -0400

    Added skips to directory snapshot tests on Windows since Windows does not have the ability to detect renames using the directory snapshot util

commit 98be5dad7c90a39d8dff7491a5ca18e48165a9bd
Author: wbond <will@wbond.net>
Date:   Tue Mar 19 01:34:07 2013 -0400

    First pass at Python 3 compat

commit 277fc123607333424b37ec08fb410fff8c93e943
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Mon Jul 8 14:12:43 2013 +0200

    inotify: dont remove watches before closing the fd.
    
    there should be no need to manually remove watches when we are done as they will
    be automatically freed when the fd is closed. this will hopefull fix the key
    error exceptions too once and for all.

commit 18d43616430ae766308aa0580abd318016447f3a
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Thu Jul 4 15:09:50 2013 +0200

    clean up the stop and on_thread_exit mess. see #169

commit 8a0b2f1b8f7186317b23596f2fef128962d2c4c6
Author: Peter Potrebic <potrebic@gmail.com>
Date:   Mon Oct 15 21:51:40 2012 -0700

    Cleanup some edge conditions in polling
    - Don't hold lock while sleeping
    - Avoid derefing a None _snapshot after on_thread_exit() is called

commit 3c510398abcc59c9a56692703e93e95ebfcc3fa4
Merge: b1e0271 bcbc883
Author: takoi <thomas.amland@gmail.com>
Date:   Mon Jun 24 08:15:45 2013 -0700

    Merge pull request #165 from Ormod/ordered
    
    Fixed and polished version of PR https://github.com/gorakhargosh/watchdog/pull/133

commit bcbc883a5ca17770346000fe4ee7ab904cc0d6bf
Author: Hannu Valtonen <hannu.valtonen@ohmu.fi>
Date:   Thu Jun 13 10:36:08 2013 +0300

    Fix DirectorySnapshot to handle 2 different cases
    1) file X and Y exist.
           move X Y
       was not reporting proper results. Was only reporting
       that Y was deleted.
    2) file dir1/X and dir2/X exist.
            move dir1/X dir2/X
       similar issue. Old code reported 'dir1/X' was deleted. And
       nothing about dir2/X
    
    Proper event is that the file was 'Moved'
    
    Original patch from Peter Potrebic <potrebic@gmail.com> that was further
    improved by Hannu Valtonen <hannu.valtonen@ohmu.fi>

commit 2d14857c14266c3f7249b9c1aa92f582d12b6e52
Author: Peter Potrebic <potrebic@gmail.com>
Date:   Thu Oct 25 17:29:05 2012 -0700

    Watchdog (on Windows) would create bad FS changed events streams
    
    Code was stripping duplicate events from its internal queue. Example:
           Create X, Delete X, Create X, Edit X
    Would be filtered to
           Create X, Delete X, Edit X
    because the second "Create X" was still in the queue... thus it was
    dropped. But that isn't a valid event stream. Can't 'Edit' a file that
    doesn't exist.
    
    Fixed by changing to use a queue that only dropped duplicate consecutive
    events.

commit b1e027117d9d159d5d3f7da7808e536a8029da8b
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sun May 12 17:45:00 2013 +0200

    inotify: dir/tree might be gone when we try to add a watch for it

commit 01e4d47ed982a4fe69b1bf1d810f55f37f6d111a
Merge: ef15049 29260f3
Author: takoi <thomas.amland@gmail.com>
Date:   Fri Apr 12 03:59:10 2013 -0700

    Merge pull request #154 from Ormod/read_dir
    
    read_directory_changes: On directory create check if it's actually a mov...

commit 29260f3f5278d4f2d5789cea060cf3b6732fa11a
Author: Hannu Valtonen <hannu.valtonen@ohmu.fi>
Date:   Tue Apr 9 14:16:46 2013 +0300

    read_directory_changes: On directory create check if it may have been a move
    
    On Windows if a folder is moved from outside the watched folder to inside it,
    we only get a Directory Create from ReadDirectoryChangesW, no events for the directory's
    children. Err on the side of caution and call them CreatedFile and DirEvents since we
    can't be absolutely sure they came as the result of a move.

commit ef15049eed84e2fe36b6ab6065dd1c80a0e99ee2
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Mon Apr 8 15:21:30 2013 +0200

    key (used for equality) in move event was never overriding. fixes #130

commit 9289410f90f57052e063264a037ce169733a846a
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Mon Apr 8 14:20:47 2013 +0200

    cosmetics

commit b61458dfd08199e11397b199d639b66884777784
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Mon Apr 8 13:43:47 2013 +0200

    dont fire move events for tree or watch sub-directories unless set to recursive. fixes #73

commit 5a7c7ffedf7bc1d4369e676b07ffd65448995c07
Merge: 668ee8a aac9816
Author: takoi <thomas.amland@gmail.com>
Date:   Mon Apr 8 03:38:07 2013 -0700

    Merge pull request #153 from Ormod/win_test_fixes
    
    Win test fixes

commit aac981650dd1473df3f36bcdc9e3a3b3b3763d61
Author: Hannu Valtonen <hannu.valtonen@ohmu.fi>
Date:   Sat Apr 6 20:35:15 2013 +0300

    tests: Fix polling test moves to work in Windows
    
    Like explained in the observers.polling code, on Windows we do not get moves with the polling observer, change tests to take that into account.

commit 254127ef950480bf9ac035abf11c766d5c2548b4
Author: Hannu Valtonen <hannu.valtonen@ohmu.fi>
Date:   Sat Apr 6 20:34:04 2013 +0300

    tests: Fix test to work on Windows
    
    On Windows the absolute_path() call made the path look like
    c:\\foobar instead of /foobar which made the repr() test fail.

commit 668ee8a512579b424b7c4ea773929a6b6675ffe8
Merge: 46b2be3 a9349d6
Author: takoi <thomas.amland@gmail.com>
Date:   Sat Apr 6 08:58:38 2013 -0700

    Merge pull request #107 from michaelmwu/win_dir_move1
    
    fixed some tests for windows, fixed directory move event for windows

commit 46b2be3ddea8922d26485a05cdf17d8acf361581
Merge: ae037ca 164f941
Author: takoi <thomas.amland@gmail.com>
Date:   Sat Apr 6 08:26:00 2013 -0700

    Merge pull request #152 from Ormod/polling_test_fix
    
    tests: Fix failing unittest test_watchdog_observers_polling.TestPollingE...

commit 164f9416c1af8f6119db08c693b83cf768fe72ee
Author: Hannu Valtonen <hannu.valtonen@ohmu.fi>
Date:   Sat Apr 6 12:47:03 2013 +0300

    tests: Fix failing unittest test_watchdog_observers_polling.TestPollingEmitter
    
    There was both a FileDeletedEvent and a DirDeletedEvent for the entry, just
    keep the latter. Also add missing to_file entry.
    
    This makes the test work on OS X (tested on 10.8.3) and Linux (tested on Ubuntu 12.10)

commit ae037ca53dccf5b4f0e5674e91f5851c71071bce
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sat Mar 16 14:52:46 2013 +0100

    drop support for unicode paths in inotify.
    
    must allow users to pass byte strings as functions like
    os.path.isdir does not handle unicode on posix systems

commit 6bafb5e504155d503d7e31f33dfef01756faa06c
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Thu Mar 14 17:35:54 2013 +0100

    dont call on_thread_exit in emitters. observers handles staring/stopping. fixes #117 fixes #149

commit ec75c9001cfa851aa168959023929e8d934aef8c
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Thu Mar 14 16:59:29 2013 +0100

    cosmetics

commit e16b00f667592bc1a6a7ea5adc208450e870db76
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Thu Mar 14 16:56:34 2013 +0100

    detecting moves/renames with polling never worked: method copy dont exist. not copying appears to be safe

commit ae82972321351c13c7a05e0876631e61f9a50b6a
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Mar 13 20:48:29 2013 +0100

    fix indentation

commit 052cf486c1b9a1abc24525a0c7c723c65368be43
Author: Jonathan Boulle <jon@twitter.com>
Date:   Thu Dec 13 17:53:34 2012 -0800

    Set src_dir_path to None when generating sub_moved_events

commit 32f5609e04975a823ae9e322d2e8044a16aa5385
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Mar 13 20:36:09 2013 +0100

    fix pattern matcher handlers: src_path may be None

commit 3fee609c259f07c67be8883826f041cdd1556102
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Mon Mar 11 19:13:37 2013 +0100

    dont convert input path to absolute.
    
    that will break paths that dont exsist locally, which in turn prevents
    extending watchdog with new observers e.g for remote file system

commit a5a1561d48b1af39849b0d4086a195eae4ab25c0
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Mon Mar 11 19:12:54 2013 +0100

    update dependency list

commit fed7828c976074b8cb1a0bca4d2a894cc41d1394
Merge: 0adbeb5 adce642
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Sat Mar 9 20:30:03 2013 -0800

    Merge pull request #148 from tkf/document-observer-classes
    
    Document implemented observer classes

commit adce642b8774184e0c3fd4261e1f822bb76d18ea
Author: Takafumi Arakaki <aka.tkf@gmail.com>
Date:   Sat Mar 9 22:37:51 2013 +0100

    Document implemented observer classes
    
    WindowsApiAsyncObserver is not on the list as it is not
    implemented yet.

commit 0adbeb5f71fe95bd866893a659b3a0ee553a9d4f
Merge: 1143aa8 e1b0c2c
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Sat Mar 9 08:52:16 2013 -0800

    Merge pull request #112 from last-partizan/patch-1
    
    Ignore -1 watch descriptor value.

commit 1143aa8035de65909529bac1cbf3c47ba6ee1d31
Merge: 3fd5479 b20e3a4
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Sat Mar 9 08:51:43 2013 -0800

    Merge pull request #120 from takoi/master
    
    Fixed import error on windows xp

commit 3fd5479e276a2c87988c14be937d5c2529eb27ff
Merge: bb4b9c0 202675b
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Sat Mar 9 08:51:14 2013 -0800

    Merge pull request #134 from sholsapp/fix-issue-129
    
    Fix issue 129

commit bb4b9c0fd6f6179f1c27ad40b71ce917a7ee4a27
Merge: cafc7cc e17799e
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Sat Mar 9 08:48:36 2013 -0800

    Merge pull request #121 from takoi/sleep-mode-fix
    
    inotify: recover from interrupted system call

commit cafc7cccabfb1ae1040cb707bab607509f5939cb
Merge: 695e6e6 4fac911
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Sat Mar 9 08:47:55 2013 -0800

    Merge pull request #147 from takoi/unicode-fix
    
    inotify: handle unicode paths

commit 695e6e63b31f0d55baeb007c97fb60d4f9ba553b
Merge: 9be25b9 d2b4803
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Sat Mar 9 08:45:28 2013 -0800

    Merge pull request #113 from gsamokovarov/patch-1
    
    Require pathtools>=0.1.1

commit 9be25b9eb2a5687e0a3f24420b141e87b20efcf4
Merge: c36bfa1 5848e4e
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Sat Mar 9 08:44:07 2013 -0800

    Merge pull request #116 from msabramo/travis
    
    Add .travis.yml for Travis CI (http://travis-ci.org/)

commit c36bfa15e0bce2547551f9c56acfe8271a7cd5e2
Merge: 18c1a77 04c6921
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Sat Mar 9 08:43:33 2013 -0800

    Merge pull request #128 from peterhil/fix-version-cmps
    
    Fixed version comparisons to work with Python 3.

commit 18c1a77669d978e7c7f2ceaf8162017578258684
Merge: aff161c f057522
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Sat Mar 9 08:42:08 2013 -0800

    Merge pull request #137 from shezi/master
    
    Documentation on 'Read the Docs'

commit aff161c0abf8c79944bc6323e461bb608fe9a9d8
Merge: dd92775 2c956bf
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Sat Mar 9 08:40:51 2013 -0800

    Merge pull request #146 from serpulga/patch-1
    
    Update quickstart.rst

commit 4fac911e986577ed07bf69d18b4394982b122cef
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Sat Mar 9 16:19:26 2013 +0100

    inotify: encode/decode paths as utf-8

commit 2c956bfdc98f3bb4d2ae8b570848aee6fa858594
Author: Sergio <serpulga@gmail.com>
Date:   Thu Feb 28 15:53:04 2013 -0500

    Update quickstart.rst
    
    Quickstart stated that the example was non-recursive though it is recursive.

commit f057522b03859638eb33d065dd107f869ea58af4
Author: Johannes Spielmann <js@shezi.de>
Date:   Wed Dec 5 17:16:57 2012 +0100

    adding pip-style dependencies so readthedocs can create the documentation

commit e17799e292ab752380b1e55a47c2077fe9160c8e
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Oct 24 17:33:18 2012 +0200

    inotify: retry if system call was interrupted

commit 202675b719c456dddc237b962087a497a9f9384e
Author: sholsapp <sholsapp@gmail.com>
Date:   Wed Oct 3 15:58:05 2012 -0700

    Moved import inside of .

commit b10b9538acf8f6c200240bee7a002434e7e65bc6
Author: sholsapp <sholsapp@gmail.com>
Date:   Fri Sep 28 14:04:10 2012 -0700

    Fix for issue 129 at https://github.com/gorakhargosh/watchdog/issues/129 to allow import of ctypes-agnostic code when ctypes isn't present.

commit 04c69214354191be3178a2141a227dcfbf0cec76
Author: Peter Hillerström <peter.hillerstrom@gmail.com>
Date:   Sun Sep 23 16:19:42 2012 +0300

    Fixed version comparisons to work with Python 3.

commit b20e3a4d0f965b2b1ed4cf5ba5f1faf8b0dcd678
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Thu Aug 2 16:10:02 2012 +0200

    catch AttributeError thrown on win xp

commit 5848e4e48676abd66edc2d76496c0a0db74baf46
Author: Marc Abramowitz <marc@marc-abramowitz.com>
Date:   Mon Jun 25 17:14:14 2012 -0700

    Add .travis.yml for Travis CI (http://travis-ci.org/)

commit d2b4803a8bff79f45c13800638289f0a7decff59
Author: Genadi Samokovarov <gsamokovarov@gmail.com>
Date:   Fri Jun 8 12:50:03 2012 +0300

    Require pathtools>=0.1.1

commit e1b0c2c376028727b90706280422150f28eeb9d1
Author: last-partizan <serg.partizan@gmail.com>
Date:   Wed Jun 6 15:11:42 2012 +0300

    Ignore -1 watch descriptor value.

commit dd92775ca2d72a3e008ad5b0775a99824497ccdd
Merge: ac9b287 fa7b6df
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Sat Jun 2 23:06:18 2012 +0530

    Merge remote-tracking branch 'joeyespo/master'
    
    Conflicts:
    	README
    
    Signed-off-by: Yesudeep Mangalapilly <yesudeep@google.com>

commit ac9b2875d4ace6cd1383ce88b68eab65b9ee8f33
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Sat Jun 2 22:38:58 2012 +0530

    Adds bootstrap.py to .gitignore.

commit ca845d79d6a276e2cb7ecc2b4bf74b50bbef07c3
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Sat Jun 2 22:38:26 2012 +0530

    Fixes bootstrap.sh.

commit 6cebae04089931085c4cd4a7eeafeda2b5dad4a3
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Sat Jun 2 22:37:23 2012 +0530

    Adds new bootstrap.sh script.
    
    Signed-off-by: Yesudeep Mangalapilly <yesudeep@google.com>

commit 4c3ef9d16e1aeca3fa72cf2d94e61aa6a13126f5
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Sat Jun 2 22:37:15 2012 +0530

    Removes bootstrap.py
    
    Signed-off-by: Yesudeep Mangalapilly <yesudeep@google.com>

commit b169c14d9b2415025ccde1cbfb1d613565a15fd9
Merge: 5f49aed 29e15b8
Author: Yesudeep Mangalapilly <gora.khargosh@gmail.com>
Date:   Sat Jun 2 09:40:28 2012 -0700

    Merge pull request #109 from vorwrath/master
    
    Linux - issue with symlinks

commit 5f49aedfb2656a0125aac3aaf4738a6a6a6d539c
Merge: f55a302 cd07f79
Author: Yesudeep Mangalapilly <gora.khargosh@gmail.com>
Date:   Sat Jun 2 09:37:51 2012 -0700

    Merge pull request #102 from jamesmfriedman/master
    
    Hotfix for Thread Safety

commit f55a3022ad5ab89e396a019be1c8c00ad87b5773
Merge: 4dd22f0 119fe05
Author: Yesudeep Mangalapilly <gora.khargosh@gmail.com>
Date:   Sat Jun 2 09:36:12 2012 -0700

    Merge pull request #106 from takoi/master
    
    Fixed deadlocks

commit 29e15b812a82cb39f246e55c9badb332be32f672
Author: vorwrath <rich@clearchaos.com>
Date:   Fri May 18 15:01:00 2012 +0200

    Fix traversal of symlinks

commit a9349d686356e46a4e12018f3a409a0a2b80f575
Author: Michael Wu <mikemwu@stanford.edu>
Date:   Fri May 18 01:47:54 2012 -0700

    fixed some tests for windows, fixed directory move event for windows

commit 119fe0519bc2674cc89bd8942b26866f75ab2465
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Fri May 11 12:05:48 2012 +0200

    handle exceptions that occur during io canceling

commit bdcef77d457a7f2c22dbf74fbc9ca1f594258701
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Thu May 10 19:12:28 2012 +0200

    fixed indefinitely blocking in winapi

commit 7fbe5665fa62932c1a49cf7df6aad7ff2b2dcf12
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Thu May 10 19:09:56 2012 +0200

    indentation error in previous commit

commit 55f67ce8a35cda1070ebcc33a0b8785e278454d3
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Thu May 10 18:49:56 2012 +0200

    dont subclass, so the caller is able to see which observer is used

commit cd07f79cd4be5678c4cb0c901e8ef636464907f3
Author: James Friedman <jamesmfriedman@gmail.com>
Date:   Fri Apr 27 17:23:28 2012 -0400

    correcting uncaught exception for thread safety

commit 5caa45f898ab7db85593ef7faec0988df911f109
Author: James Friedman <jamesmfriedman@Jamess-Mac-mini.local>
Date:   Wed Apr 25 22:35:07 2012 -0400

    added an except to fsevents.py which was causing it to not be threadsafe in Django

commit 6383ff2b5732863c1c49cfab74f9e94a7737a306
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Apr 11 18:09:07 2012 +0200

    dont block while waiting for system callback

commit fe451b757e0864639752605c163ebb0d11efe492
Author: Thomas Amland <thomas.amland@gmail.com>
Date:   Wed Apr 11 13:11:59 2012 +0200

    removed unused on_thread_told_to_stop

commit 4dd22f0555086b11b31920706248be5c56167f97
Merge: 4c58c0d 5d9de53
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Mon Mar 26 14:22:18 2012 +0530

    Merge branch 'master' of github.com:gorakhargosh/watchdog into dev

commit 5d9de53aab8a7c6a9ef4c6034ad4d9f46020b6f5
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Mon Mar 26 11:28:25 2012 +0530

    Updates package manifest to include COPYING.
    
    Signed-off-by: Yesudeep Mangalapilly <yesudeep@google.com>

commit c1f84791ffef729fcfbee1fbd9f9115e1b9813ea
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Mon Mar 26 11:27:45 2012 +0530

    Adds a copy of the Apache License 2.0
    
    Signed-off-by: Yesudeep Mangalapilly <yesudeep@google.com>

commit 253049a1aa1b220a1933844b7368f5481cb5f9ef
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Mon Mar 26 11:27:30 2012 +0530

    Renames LICENSE to COPYING.
    
    Signed-off-by: Yesudeep Mangalapilly <yesudeep@google.com>

commit fa7b6df99352b439f840bee8c19ec2a0e6d1776d
Author: Joe Esposito <joe@joeyespo.com>
Date:   Sun Mar 25 02:48:26 2012 -0400

    Allow quickstart code to run without arguments.

commit 4c58c0dbc47a47e414539947479e37b1ee0634a4
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Mon Mar 19 15:19:26 2012 +0530

    Cleaned up formatting in example code.
    
    Signed-off-by: Yesudeep Mangalapilly <yesudeep@google.com>

commit dfe1b425a829c18d7a54a4ca954fe36856e85ea0
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Sun Mar 18 12:33:23 2012 +0530

    And another copyright line.
    
    Signed-off-by: Yesudeep Mangalapilly <yesudeep@google.com>

commit c6cf18c21b66c1c2e54259a4c763006a14aecf2b
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Sun Mar 18 12:32:35 2012 +0530

    Fixes another copyright line.
    
    Signed-off-by: Yesudeep Mangalapilly <yesudeep@google.com>

commit 937d16b0be1495b1563353014b865e1234dacc9b
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Sun Mar 18 12:19:06 2012 +0530

    Fixes trove classifier for license.
    
    Signed-off-by: Yesudeep Mangalapilly <yesudeep@google.com>

commit dbd88b9168d3dce3dbfe8efbda814b0845e49aeb
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Sun Mar 18 12:11:18 2012 +0530

    Bumps version up to 0.6.0.
    
    * Includes Debian packaging.
    * Adds a working native module for the FSEevents
      and Python bridge.
    * Transfers Copyright to Google.
    * Reformats source code to meet guidelines.
    * Adds an auto-restart trick.
    * Drops brownie as a dependency.
    
    Signed-off-by: Yesudeep Mangalapilly <yesudeep@google.com>

commit 4ac86081370c726031ef7d0c1f4162fcc1d574b6
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Sun Mar 18 12:07:03 2012 +0530

    Adds executable permissions to bootstrap.py
    
    Signed-off-by: Yesudeep Mangalapilly <yesudeep@google.com>

commit 6e530bac0df6526ce8e0e841b506c4dac6d4251a
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Sun Mar 18 11:05:05 2012 +0530

    Formatting according to google style.
    
    Signed-off-by: Yesudeep Mangalapilly <yesudeep@google.com>

commit bab1f3e37556f58c991023c3fc438dd82fb809b2
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Sun Mar 18 10:57:49 2012 +0530

    Updates more author lines.
    
    Signed-off-by: Yesudeep Mangalapilly <yesudeep@google.com>

commit 1796ba5fe7d3fe6a54b1f052dcf11d302f864547
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Sun Mar 18 10:56:43 2012 +0530

    Updates author lines.
    
    Signed-off-by: Yesudeep Mangalapilly <yesudeep@google.com>

commit cded6781d32f00bdf28d549cbc953d158cfcba23
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Sun Mar 18 10:52:03 2012 +0530

    Fixes copyright lines.
    
    Signed-off-by: Yesudeep Mangalapilly <yesudeep@google.com>

commit 273771e14211365f4e8ce5c9dff9db36dc8ba132
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Mon Mar 12 10:15:35 2012 +0530

    Updates AUTHORS file.
    
    Signed-off-by: Yesudeep Mangalapilly <yesudeep@google.com>

commit 25b6b8de2b8a9a5f52a03716ade22838137ef1da
Merge: 703657f 21fbdd8
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Mon Mar 12 10:04:09 2012 +0530

    Merge branch 'master' of github.com:gorakhargosh/watchdog

commit 21fbdd81d12f15ebcca0c43976d4f84b9f5d3ee6
Merge: cf8e712 8004501
Author: Yesudeep Mangalapilly <gora.khargosh@gmail.com>
Date:   Sun Mar 11 21:32:57 2012 -0700

    Merge pull request #94 from CoolCold/master
    
    adding missed debian build dependancy

commit 8004501189634f2dec7d55dd1abf82b25205bcdb
Author: Roman Ovchinnikov <coolthecold@gmail.com>
Date:   Sat Mar 10 16:42:35 2012 +0400

    adding python-setuptools to build-deps

commit 703657f70ea41150f203aacd6b7de980a7139637
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Sat Mar 3 12:08:51 2012 +0530

    Adds a new bootstrap.py script.
    
    Signed-off-by: Yesudeep Mangalapilly <yesudeep@google.com>

commit cf8e7127711a8e8565ee72a793795c6e39c9ab66
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Sat Mar 3 03:16:15 2012 +0530

    Fixes readme formatting.
    
    Signed-off-by: Yesudeep Mangalapilly <yesudeep@google.com>

commit f7eba9f83f99734d80ec7fd4ea7c7bfca30f97b6
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Sat Mar 3 03:15:13 2012 +0530

    Updates copyright notices.
    
    Signed-off-by: Yesudeep Mangalapilly <yesudeep@google.com>

commit 13bf35c3ebb7e82c9c7bbb592563cc117affa9bd
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Sat Mar 3 03:13:15 2012 +0530

    Updates copyright notices.
    
    Signed-off-by: Yesudeep Mangalapilly <yesudeep@google.com>

commit 9ffa9d34c506a5c248a1ef6a87f2749313b519f0
Author: Yesudeep Mangalapilly <yesudeep@google.com>
Date:   Sat Mar 3 03:04:46 2012 +0530

    Updates readme and copyright.
    
    Signed-off-by: Yesudeep Mangalapilly <yesudeep@google.com>

commit 76866438624275e4ea26b7105faa1c2da500be4d
Merge: c59148b 9ea9e13
Author: Yesudeep Mangalapilly <gora.khargosh@gmail.com>
Date:   Fri Mar 2 13:29:47 2012 -0800

    Merge pull request #86 from novas0x2a/subscribe-inotify-modify-events
    
    Subscribe to inotify modify events

commit c59148b947fa2692f00134892eee7a63ca21a209
Merge: 19b0325 7db4c15
Author: Yesudeep Mangalapilly <gora.khargosh@gmail.com>
Date:   Fri Mar 2 13:28:42 2012 -0800

    Merge pull request #83 from jonypawks/master
    
    Regex Support

commit 19b0325415b6588f983f8ddeb3d9779fbf461d26
Merge: 49a46a6 c0d63f6
Author: Yesudeep Mangalapilly <gora.khargosh@gmail.com>
Date:   Fri Mar 2 13:28:04 2012 -0800

    Merge pull request #88 from hathawsh/master
    
    Added an AutoRestartTrick and an auto-restart watchmedo command.

commit 49a46a6af8720a26d5bb25756c1547b31fcdd33f
Merge: de50588 b23d69f
Author: Yesudeep Mangalapilly <gora.khargosh@gmail.com>
Date:   Fri Mar 2 13:27:13 2012 -0800

    Merge pull request #87 from Ormod/deb
    
    Add Debian packaging

commit c0d63f6f60385d12b814423c30017e2fd05a4a9e
Author: Shane Hathaway <shane@hathawaymix.org>
Date:   Thu Jan 12 01:44:19 2012 -0700

    Handle SIGTERM in the same manner as SIGINT so that this program has a chance to stop the child process.

commit c484d89a15e7b3e8c7eabd4e7ebec859db723489
Author: Shane Hathaway <shane@hathawaymix.org>
Date:   Thu Jan 12 01:06:40 2012 -0700

    Allow multiple directories for the auto-restart command

commit 3e9f9a959b10a86296ca257b6991cd35ee3c2dbf
Author: Shane Hathaway <shane@hathawaymix.org>
Date:   Thu Jan 12 00:20:39 2012 -0700

    Added an AutoRestartTrick and an auto-restart watchmedo command.
    
    This is designed to ease development of long-running server processes.

commit b23d69f87d7a549f9ec0b1f5658d0e3178c1048a
Author: Hannu Valtonen <hannu.valtonen@ohmu.fi>
Date:   Sun Jan 1 15:37:37 2012 +0200

    Add Debian packaging

commit 9ea9e13d2b608123932bb303af932fd2554b6e59
Author: Mike Lundy <mike@fluffypenguin.org>
Date:   Wed Dec 21 12:29:52 2011 -0800

    Subscribe to inotify modify events
    
    This is required to see modifications to files that are not closed (e.g.
    logfiles). This fixes issue #76.

commit 7db4c15ea765b6948eaca2e26a7264cd06b927a7
Author: Jesse Printz <jesse@jonypawks.net>
Date:   Sun Dec 4 21:26:48 2011 -0600

    Added an event handler which matches on regexes.

commit de5058878b8c968a41a94ec6449d007945e0de61
Merge: 10d4795 19aa18d
Author: Yesudeep Mangalapilly <gora.khargosh@gmail.com>
Date:   Tue Nov 29 22:32:35 2011 -0800

    Merge pull request #78 from garyvdm/doc
    
    Minor update to hacking.rst: scripts/autobuild.sh moved

commit 10d479569a1bc5ba118d5f32463c568d787d7ea5
Author: Martin Kreichgauer <kreichgauer@gmail.com>
Date:   Fri Oct 21 18:35:09 2011 +0200

    BaseObserver: don't hold the lock while waiting on the queue

commit ffa3751e16daab59f80a873f171ba5de2fbbeed1
Author: Martin Kreichgauer <kreichgauer@gmail.com>
Date:   Fri Oct 21 18:00:46 2011 +0200

    fix #79
    
    Replace the not thread-safe implementation of `EventDispatcher._dispatch_events` with `BaseObserver.dispatch_events`.

commit 19aa18d32093cfedf35eaf4fd2f2c7f2edff7ab9
Author: Gary van der Merwe <garyvdm@garyvdm.localdomain>
Date:   Tue Oct 18 11:04:11 2011 +0200

    scripts/autobuild.sh moved to tools/autobuild.sh. Update hacking.rst to reflect this.

commit ae582a5999bd8054a8d52b7b78085db821a577be
Author: Martin Kreichgauer <kreichgauer@gmail.com>
Date:   Fri Oct 14 16:11:57 2011 +0200

    Revert commit 3a297e86d0a8777972d3afa07ff33633a07b5477.

commit 3a297e86d0a8777972d3afa07ff33633a07b5477
Author: Todd Whiteman <toddw@activestate.com>
Date:   Fri Oct 14 15:22:14 2011 +0200

    setup.py: replace setuptools with distutils

commit 74ec8afdfd53879af29987b5469b4af4d795ef38
Author: Martin Kreichgauer <kreichgauer@gmail.com>
Date:   Thu Sep 22 09:01:21 2011 -0700

    inotify: correctly report deletion of the watched directory
    
    IN_DELETE_SELF is does not have the IN_ISDIR flag set (kernel issue?).
    Have InotifyEvent.is_directory return True in this case.

commit 0656443163609d3db2f53b47f16ce27005b49cd6
Author: Martin Kreichgauer <kreichgauer@gmail.com>
Date:   Thu Sep 22 16:31:22 2011 +0200

    inotify: emit a `DirDeletedEvent` if the watched directory is deleted
    
    - added IN_DELETE_SELF to the inotify event_mask

commit a3fc098c775332b5d57167c0e1ef817303ad6849
Merge: 2147669 624ffa4
Author: Martin Kreichgauer <martin@kreichgauer.com>
Date:   Wed Sep 21 07:24:33 2011 -0700

    Merge pull request #70 from dmlap/624ffa4dbccb9f03c97d6a16e02599c5a8cc1c9e
    
    Correct path to utility scripts

commit 21476696b1ca2164d8d4f1a8d25a08b8a028df96
Merge: 2a75987 32efcb8
Author: Martin Kreichgauer <martin@kreichgauer.com>
Date:   Wed Sep 21 07:22:05 2011 -0700

    Merge pull request #67 from harobed/master
    
    Fix an incorrect path in hacking guide

commit 2a759877072a1afa551e60bfebdc6b96ea0c179f
Author: Martin Kreichgauer <kreichgauer@gmail.com>
Date:   Fri Sep 9 17:45:39 2011 +0200

    terminate the `FSEventsEmitter.run` loop when calling `stop` (fix #64)

commit bb58c0d0d411e2d45358f0bbf9178c3e9817d011
Merge: b7999e3 ce06b77
Author: Martin Kreichgauer <martin@kreichgauer.com>
Date:   Thu Sep 15 07:32:27 2011 -0700

    Merge pull request #61 from kreichgauer/patch-2
    
    Fix broken implementation of OrderedSetQueue.put

commit 32efcb88a2b8d6c3b6051b376a27fddac8b54084
Author: Stéphane Klein <stephane@harobed.org>
Date:   Tue Sep 13 11:22:58 2011 +0200

    Fix very small path issue in hacking guide

commit 624ffa4dbccb9f03c97d6a16e02599c5a8cc1c9e
Author: David LaPalomento <dlapalomento@gmail.com>
Date:   Mon Sep 12 11:56:27 2011 -0400

    update build and testing scripts to reflect actual location of utility scripts

commit ce06b77234958007981226a6bfa647ab97fcb021
Author: Martin Kreichgauer <kreichgauer@gmail.com>
Date:   Fri Sep 2 18:35:10 2011 +0200

    whitespace (damn you github inline editing!!!)

commit 4f64b6ce5eaebb3e78bfa93dfb04c2dd218ce3cd
Author: Martin Kreichgauer <martin@kreichgauer.com>
Date:   Fri Sep 2 19:26:23 2011 +0300

    Don't let OrderedSetQueue.unfinished_tasks be incremented if `put` does not add anything to the queue.

commit b7999e3d5bd8f62337e638c1d6cb30276f00e74d
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Aug 25 14:59:46 2011 +0530

    Adds description for the --wait flag to shell-command.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 7f057d13e0f778534d7276e1723642441db26835
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Aug 25 14:54:14 2011 +0530

    Updates AUTHORS
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 221caf60bb48c4eef44354dba90e1769b6b42dcd
Merge: 08d0f36 f2765c7
Author: Yesudeep Mangalapilly <gora.khargosh@gmail.com>
Date:   Thu Aug 25 02:07:30 2011 -0700

    Merge pull request #59 from kreichgauer/patch-1
    
    Make `FSEventsObserver.schedule` return the created `ObservedWatch` instance

commit 08d0f369d362be5d7927a3816a2007842c54b93d
Merge: 0bc9713 5d45d33
Author: Yesudeep Mangalapilly <gora.khargosh@gmail.com>
Date:   Thu Aug 25 02:07:15 2011 -0700

    Merge pull request #60 from vmalloc/master
    
    Add "-w/--wait" option to shell-command to wait for the shell command to finish

commit 5d45d3357cb9a27ad5560e19c82fcb758e139750
Author: Rotem Yaari <vmalloc@gmail.com>
Date:   Thu Aug 25 09:07:50 2011 +0300

    Add option to wait for the shell command process
    
    This prevents multiple executions of the same tool concurrently for consecutive events, which can mess up the output

commit f2765c7f7193a4c75a7686b70959259905c90cb1
Author: Martin Kreichgauer <martin@kreichgauer.com>
Date:   Tue Aug 23 05:59:55 2011 +0300

    `FSEventsObserver.schedule` returns the created `ObservedWatch` instance.

commit 0bc9713e4ae1664648f1b3fd1915638f28d66236
Author: Yesudeep Mangalapilly <gora.khargosh@gmail.com>
Date:   Tue Sep 6 10:54:23 2011 +51800

    Note about vim. Editing on Github is cool! Immediate possible use is to write the blog right in here!

commit a1cbf2de4aa9578db85b69e86dcd41e605fa56d5
Author: Yesudeep Mangalapilly <gora.khargosh@gmail.com>
Date:   Tue Sep 6 10:49:20 2011 +51800

    Minor edit in the readme.

commit 33b8eb380fdb3d7712368037a8f49bc80f79b13f
Author: Yesudeep Mangalapilly <gora.khargosh@gmail.com>
Date:   Tue Sep 6 10:47:32 2011 +51800

    Adds a note to the readme about kqueue and ulimit.

commit 9a66fa12dcd82cb2e1d33bddbdff1bf1c417351c
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Aug 16 00:38:22 2011 +0530

    Adds eclipse project files to make it easy for you to import.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit a8d16ecea4e3c046af3ed03f8ba2d5b0069558e8
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Aug 5 21:07:02 2011 +0530

    Re-enable FSEventsObserver
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit b524eeb8499b66d2f287fae1969d1d420e2582dd
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Aug 5 21:06:14 2011 +0530

    FSEvents API now works.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 3941786009247835e9d87d5a9b756e2ff11d0443
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Aug 5 21:03:05 2011 +0530

    Functional FSEvents module.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 26f079563dc9e6e2dc41a527e989aadebb06bddd
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Aug 5 21:02:51 2011 +0530

    Some Cython declarations for the FSEvents API.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit bc6cc4f83330be588dd5a2f4033114e1d5377ebc
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Aug 2 17:48:22 2011 +0530

    Properly formats license header.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 97c30b72092dfcdd0df5bba91510a732cfe7b196
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Aug 2 16:54:35 2011 +0530

    Updates bootstrap.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 0edf08857590be8dbfb17ed4590e869b2a663213
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Jul 31 08:11:22 2011 +0530

    Updates examples.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 877018fba24b0187aa656cdcf55323607b070c32
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Jul 30 17:06:00 2011 +0530

    Drops the dependency on Brownie.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit a1c8f3f0f31a277434b6a41fbf867806d80d391f
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Jul 30 16:54:59 2011 +0530

    Even more licensing updates.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 3f40bf1bc54f07ecb8898a58f16cdcaf64b9990d
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Jul 30 16:51:59 2011 +0530

    More licensing updates.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit f93e484252a21abb033df91fa54ca415a9b5502c
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Jul 30 16:48:53 2011 +0530

    License is now Apache License, version 2.0.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 9604fa87f5900ab024f69bb7663898194578a76a
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Jul 30 16:34:23 2011 +0530

    ``setup`` to ``setUp`` for unittest2.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 18b424557bb5fccc3e6de17b1077c4b10a9966bd
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Jul 30 16:33:01 2011 +0530

    Minor corection.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 67a7236dfa24f4141494604f1a2b7b0724a5a86d
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Jul 30 16:32:49 2011 +0530

    Fix is_set attribute test for Python 2.5
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 2237842568c568d0f281d66a3232c1962ff43cfa
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Jul 30 16:30:22 2011 +0530

    with_statement needs to be imported in Python 2.5
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit d654f36082678a61022ba66a2d77d9722e9d90c3
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Jul 30 16:23:18 2011 +0530

    Fixes a couple broken tests.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 69a4fc450c4f2257fb1dc5547f77eeec20bede94
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Jul 30 16:21:11 2011 +0530

    Adds missing testenv dependency on coverage.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 56bc9d3c4fef8cba4a7be8a3be008492615d7c50
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Jul 30 16:18:48 2011 +0530

    Fixes formatting in run_tests.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 0ccd9f6d3c774b60152412ee6b134db8f512dfc6
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Jul 30 16:17:12 2011 +0530

    Moving to unittest2.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 1523750b7e81a12dbf6e50b6670a08f284925ed6
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Jul 30 09:25:46 2011 +0530

    Adds tox configuration.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit ef2b12c1f17a591f20a6dd88351e859ec8848ff9
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Jul 30 09:25:33 2011 +0530

    Updates buildout to use unittest2.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 3b05239d2a78745e2c72c4b7dfdadf57bd2fd097
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Jul 30 09:25:18 2011 +0530

    Removes nose configuration.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 55f56d4e3569663570a3679d35cb9dfa0e1e46c3
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Jul 30 09:16:18 2011 +0530

    Adds a unittest2 test runner.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 8100e0805f6251894e918aa34e78b8495adce51a
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Jul 30 09:14:05 2011 +0530

    Updates Makefile to use current practices.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 03889947a09a452d8718bc6c319838ed133a0060
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Jul 30 09:13:26 2011 +0530

    Renames "scripts/" directory to "tools/"
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit cf1b86656416263c487a649a3cb7e93afeb8c26e
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Jun 16 13:14:52 2011 +0530

    Adds Simon Pantzare <simpa395@student.liu.se> to AUTHORS
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 6e9dfa31a814e419075d6927af869925da63a73a
Merge: 6ea7a8f a8e6289
Author: Yesudeep Mangalapilly <gora.khargosh@gmail.com>
Date:   Thu Jun 16 00:43:19 2011 -0700

    Merge pull request #51 from pilt/master
    
    getattr missing default argument, use unschedule_all instead of unschedule, ignore dirs for virtualenv

commit a8e6289180614802a5eca52ece29b7b956666213
Author: Simon Pantzare <simon@pewpewlabs.com>
Date:   Mon Jun 13 23:05:43 2011 +0200

    unschedule_all instead of unschedule

commit f0c2144dcc95823b438d59a432c472d5f04eb77a
Author: Simon Pantzare <simon@pewpewlabs.com>
Date:   Mon Jun 13 21:26:13 2011 +0200

    getattr was missing default argument

commit efa45bbca63b20a66026f2129681cb1950dda523
Author: Simon Pantzare <simon@pewpewlabs.com>
Date:   Mon Jun 13 21:18:38 2011 +0200

    add ignores for virtualenv

commit 6ea7a8f8d165f2323bed67f71d19e98adf6ab7ea
Author: Yesudeep Mangalapilly <gora.khargosh@gmail.com>
Date:   Wed May 25 09:32:16 2011 +0530

    Closes issue #48
    
    https://github.com/gorakhargosh/watchdog/issues/48
    
    Signed-off-by: Yesudeep Mangalapilly <gora.khargosh@gmail.com>

commit 44e4aabb842f52f4a73d2327f7c4c612099f0106
Author: Yesudeep Mangalapilly <gora.khargosh@gmail.com>
Date:   Tue May 17 15:30:56 2011 +0530

    Adds Senko Rašić to list of Authors
    
    Signed-off-by: Yesudeep Mangalapilly <gora.khargosh@gmail.com>

commit dd872b73a77b4d5ee04e14d909246c180872f8ac
Merge: e6c3c0c 88b8d5a
Author: Yesudeep Mangalapilly <gora.khargosh@gmail.com>
Date:   Tue May 17 02:53:20 2011 -0700

    Merge pull request #49 from senko/master
    
    inotify: gracefully handle moves from non-monitored directories

commit 88b8d5a3a7ad18fe2a73a919e278f357afea0df9
Author: Senko Rasic <senko.rasic@dobarkod.hr>
Date:   Sat May 14 22:33:18 2011 +0200

    observers.inotify: gracefully handle moves from non-monitored directories

commit e6c3c0c36e61ab98c64d42fdf1c9baee4a32e60d
Author: Steven Samuel Cole <steven.samuel.cole@gmail.com>
Date:   Sun Mar 13 11:45:53 2011 +0800

    add logging configuration

commit 4858a15f96cf2949e7eb01fe66648918358764d4
Author: Steven Samuel Cole <steven.samuel.cole@gmail.com>
Date:   Sun Mar 13 11:44:36 2011 +0800

    update my email address in AUTHORS file

commit 8fc6224c49e9ec6be618327015b8801b1824cbeb
Author: Yesudeep Mangalapilly <gora.khargosh@gmail.com>
Date:   Sat Mar 12 11:03:18 2011 +0530

    Updates AUTHORS
    
    Signed-off-by: Yesudeep Mangalapilly <gora.khargosh@gmail.com>

commit a7713fd4c522daccb4af96e3743e468e7f54fa8c
Author: Steven Samuel Cole <steven.samuel.cole@gmail.com>
Date:   Fri Mar 11 10:20:55 2011 +0800

    add logging configuration with INFO log level,
    so quickstart example shows some output

commit 16f51a6d130d632f21c9f25299b1add355bea9e2
Author: Yesudeep Mangalapilly <gora.khargosh@gmail.com>
Date:   Thu Feb 17 20:12:47 2011 +0530

    Updates email address
    
    Signed-off-by: Yesudeep Mangalapilly <gora.khargosh@gmail.com>

commit 3205476207ed9311380fdcf6151c777e49837c54
Author: Yesudeep Mangalapilly <gora.khargosh@gmail.com>
Date:   Thu Feb 17 16:03:53 2011 +0530

    Update project with my name.
    
    Signed-off-by: Yesudeep Mangalapilly <gora.khargosh@gmail.com>

commit e32dd4a62f547167536ef79935fd986fe7e0fea1
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Feb 15 14:10:59 2011 +0530

    Update version number.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 144f587040959f3be1ceaabceacb87ad63705470
Author: Filip Noetzel <filip@j03.de>
Date:   Fri Feb 11 23:59:50 2011 +0100

    Allow tricks to set source_directory per trick

commit a58b20a619f881d0cc54184cc3ff2106893031a5
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Feb 8 11:59:15 2011 +0530

    Disable fsevents compilation as it is unused.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 910bbd137e248b040dfdcfa22d08fe02dc58609a
Author: dvogel <dvogel@wlscapi.uwsc.wisc.edu>
Date:   Mon Feb 7 16:56:25 2011 -0600

    Defer inotify_init1 error from import time to call time in order to avoid breaking on Linux <2.6.27.

commit 2c41bfe5ace48d06b1e23bebaea9ae835ec98489
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Feb 5 01:01:56 2011 +0530

    Minor fix release 0.5.2
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 7ffe507638c633750b2410faea3c2081e580e8c7
Author: Adrian Tejn Kern <tejnkern@gmail.com>
Date:   Fri Feb 4 19:48:49 2011 +0100

    Small fix for issue that borks WindowsApiObserver

commit f5acde44163dba1a9bc65203afdc859894deecd5
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Feb 2 10:00:22 2011 +0530

    Prepares for the next release of brownie
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 8129c8025f240827ca4248fc68b4fa823975f4b3
Author: gfxmonk <tim3d.junk@gmail.com>
Date:   Tue Jan 4 11:18:07 2011 +1100

    make watchmedo directly executable

commit 8a151f8d909ccfbd0d3223c187417af5e21bac15
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Jan 20 11:11:40 2011 +0530

    Fix docs version
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 96ff6a37b0fae53f5818144c2619191068820469
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Jan 20 10:57:37 2011 +0530

    Remove bricks module from docs
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 8d530c9f7c308e4f34cdf682c85215cbf92c2218
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Jan 20 10:56:35 2011 +0530

    Adds --recursive option to repo clone instructions
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 1a67b3d9ec1eb119a4c55dd69e174eb2133d348f
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Jan 20 10:51:12 2011 +0530

    Adds dist command to Makefile
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 4ee1fb1cbf2889f8970008aa5e49f9d2e9302faa
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Jan 20 10:51:00 2011 +0530

    Updates reference to autobuild.sh in docs
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 9f36843663de5439ca34da4fe3f550ca401d2b50
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Jan 20 10:19:52 2011 +0530

    Disable FSEvents for now
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 815d685e904bcda46adb9414d548801cf2a4913b
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Jan 14 01:33:12 2011 +0530

    Fix for issue #26 trap/bpt error for unicode path
    
    MacOS X uses a special kind of decomposed UTF-8 to store filenames.
    If you need to read in filenames and write them to a "normal" UTF-8
    file, for example, you must normalize them::
    
        filename = unicodedata.normalize('NFC', unicode(filename, 'utf-8')).encode('utf-8')
    
    From:
    http://boodebr.org/main/python/all-about-python-and-unicode
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit ba357e8e87b3b576abfa5a1b6e478786d74d59fb
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Jan 14 01:10:49 2011 +0530

    Adds Brownie 0.3 as dependency.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 1fe5fdb16f39d055a8579f1f8e746bce6e0c5122
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Jan 12 09:16:15 2011 +0530

    Adds Tim Cuthbertson to the inotify module docs
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 1417f4226c54e5686fa3b7f562d85cbdc0dfe9cb
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Jan 12 09:15:44 2011 +0530

    Credits Tim Cuthbertson in the inotify.py module
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 343de17ce58f91621fbe11dac1c64e8e1bd3719a
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Jan 12 09:12:14 2011 +0530

    Adds Tim Cuthbertson to AUTHORS list.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 3d9008508d5ab4197c6c3223435e7c704f711074
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Jan 12 09:11:07 2011 +0530

    Formats fix for issue 24 by gfxmonk
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 610df8dcc7325c5d50be27a0cfac76cdd6c0a2b2
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Jan 12 09:07:29 2011 +0530

    Merged fix for issue 24 from gfxmonk by cherry-picking

commit f8d8a992d8972d95c973f14bcfa8b93ab7c6a980
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Jan 2 15:38:03 2011 +0530

    Fix for issue 23
    
    * ``filter_paths`` returns a generator object so it will
      always evaluate to ``True``. Uses the ``match_any_paths``
      function instead for truthiness.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 8fe6eda03ecf380d6ab6af861f40710b9e254276
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Jan 2 04:42:36 2011 +0530

    Add Makefile to ease development setup
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 96f45500756af53aebbd33702b57d3c9c30c4319
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Jan 2 04:35:23 2011 +0530

    Add online documentation location
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 62969afa60552e6482dbfc7c4b8a1b73c55b04b0
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 31 14:37:34 2010 +0530

    Add pathtools as dependency in documentation
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 04cbbbad83c2264e2e76092bb04aba9cde8ed63a
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 31 14:31:32 2010 +0530

    Includes project eggs in sphinx buildout config
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit decd1bf8473cfd7f00d0905dc3e628a3da9d58b7
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 31 14:25:03 2010 +0530

    Updates source code to use pathtools
    
    * Updates source code to use pathtools
    * Cleans up coverage exclusion in run_tests.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit e9f27aa6b13a49864dc80fefb00e4a2f405d8c20
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 31 14:10:19 2010 +0530

    Use pathtools in dirsnapshot and watchmedo
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit c6fe2ff3655efdc70214f9d57fdd80be5b03a53c
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 31 14:10:02 2010 +0530

    Adds pathtools as dependencies
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 32ddc3c7a2e722913c9ff1521e4cb14dc5d1c7ad
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 31 14:03:48 2010 +0530

    Moves the multi-bootstrap script to scripts/ dir
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 401d475277bfa78a8cc9f35693ae65f788c3f378
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 31 13:45:46 2010 +0530

    Clean up docs/source/conf.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit a9a3ed4ca10394a65034a5951c48b0a54d11a70a
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 31 13:45:34 2010 +0530

    Moves bootstrap.py to scripts/ directory
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 559a708956c572d2b6a8c4c2b51cf470fdb01f67
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 30 18:47:39 2010 +0530

    Updates C module documentation
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 34dbd609e3d24214e8e89266b55d9c38aa9b756e
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 30 18:44:41 2010 +0530

    Adds version constants to the C module
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 8245638622b632da43f2ddce0747fcb7698bd36c
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 30 18:33:58 2010 +0530

    Updates quickstart example for API changes
    
    * A lot of API has changed since the documentation
      was last updated. This patch updates the quickstart
      example to incorporate the changes brought about
      in the API.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 46959ea12cab833c496786ce096f6829199343cd
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 30 18:23:47 2010 +0530

    Ignore configuration files for IDEs
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit f9aee7febf543e09f75ff9b360059c42bba297db
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 30 18:22:48 2010 +0530

    Moves the autobuild.sh script to the scripts dir
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 43b9cf55b4664daae46d2f6f7aacdbfac7971721
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 29 10:35:14 2010 +0530

    Formats C source
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 66e482ec4e07a5aee97d797348aff316797664ec
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 29 10:32:44 2010 +0530

    Formats setup.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 44155cd175e8921ec3c73a2165f57966db5e6ca9
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 29 10:15:44 2010 +0530

    Update C module documentation
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 502feda1bc0fb9705d8eafd76d52e87cd2dc01f9
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 29 10:12:05 2010 +0530

    Adds version attributes to the C module
    
    * Adds version attributes to the _watchdog_fsevents module
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 1c87679444e370baba5862e26fb407f4b871d653
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 29 09:56:46 2010 +0530

    Makes __version__ attribute consistent throughout
    
    * Makes __version__ attribute in watchdog/version.py
      a version tuple and updates references to it
      in the documentation.
    * Defines the __version__ attribute string as a
      preprocessor constant in the _watchdog_fsevents.h
      header file.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 7f4edb074ab4558d2c4e93f2de9edde57c645198
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 29 09:52:29 2010 +0530

    Adds a __version__ attribute to the C module
    
    * Adds a __version__ tuple attribute to the
      _watchdog_fsevents module. This may be used by client
      code to determine the version of watchdog library in
      use as this version number matches the containing
      watchdog version.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 9478d60e68a192a04ed893a813b4828562ecfa67
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 29 09:40:47 2010 +0530

    Pedantic C compilation and version macros
    
    * Adds compiler flags to enable pedantic compilation,
      use the C99 standard, use position independent code for
      64-bit architectures, and enable all warning levels.
    * Specifies the watchdog library version numbers as C
      preprocessor macros passed to the C source code.
    * Adds `libm` as a library to link against. This should
      have been default for gcc.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 483bb2179f2dae4a103fb7a193aee59df694eb03
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 29 09:26:48 2010 +0530

    Wraps an extern "C" block around C header API
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit bbbe11239d2377e4a03b4a96913169da0f3705ae
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 29 09:05:27 2010 +0530

    Documentation clean up
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 8925f8d9c976e3372024e9f4d58c7628278c3b6f
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 29 08:56:43 2010 +0530

    Adds documentation for all C code
    
    * Adds documentation in the `_watchdog_util.c` file
      for all the C functions.
    * Removes an unnecessary blank line from the
      `watchdog/__init__.py` module.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 11030f395fa7dd1d34f298a0bdd9f05923131a54
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 29 08:56:18 2010 +0530

    Updates ignore rules to exclude *.o files
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 599f5e75336cccc70d4ae2effc391fb3e08be206
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 24 19:02:35 2010 +0530

    Single blank line at end of LICENSE

commit 8d0585148d6abdfed151d2af31f718ddbe12aa9c
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 24 15:56:04 2010 +0530

    Add ant-glob wildcard example to README
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 48d4c3baecdb48287d99663575886285117bae71
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 24 15:55:18 2010 +0530

    Clean up .gitignore list
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 0000f8b1158c1592b948808e8a08794653546e04
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 22 16:54:10 2010 +0530

    Removes superfluous `import logging` from README
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit abe0c3e1dce69fdcab68dd2d771fe9ed50274c61
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 22 16:48:09 2010 +0530

    Clean up rst links
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 57a3b7a304d5e81f4d603933b23bc648dd131eb7
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 22 16:47:32 2010 +0530

    from __future__ statement must be first in module
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 765c1d7f16a859fc3dcba5e125c067240b1b810f
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Dec 20 20:13:19 2010 +0530

    Fixes indentation in code example
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 3038fd56f6a7b388d085c2ae7fb26a7b0c502a2d
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Dec 20 20:12:15 2010 +0530

    Update example in README
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 286ea20cbf9cd296badf47ab9b831412cbb3a614
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Dec 20 20:02:37 2010 +0530

    More fixes
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit c1ffe8720f5f0530080af818049feb5fe9fa2da7
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Dec 20 20:00:35 2010 +0530

    Makes minor corrections in README
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 15f1a3160e820e4f466b118058b18672145a40d7
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Dec 20 19:56:28 2010 +0530

    Fix rst in README
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit f3df9860a61cedc51528e43d3b720950fa9148e1
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Dec 20 19:49:37 2010 +0530

    Adds info about PyYAML and uses rst in README
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 8b2ba1fc88b7a7ecd99321f9dd85af0f8e3edc20
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Dec 20 16:56:33 2010 +0530

    Removes idea configuration
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit f3efdcf4f2b386c9cb240dd6ac7c79d91273366f
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Dec 20 16:54:03 2010 +0530

    Update documentation about tricks.yaml
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit c4074eb746fa277b9b7314a8762703e2700e532f
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Dec 20 16:50:19 2010 +0530

    Simplify the tricks.yaml file
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit ea8dd504cd6a78eacb74291e68a061d1df40d612
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Dec 20 15:30:24 2010 +0530

    Add PyCharm configuration
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 3e31bd0a12ffb9be28299d01324413c76c569d48
Merge: 07e6b59 4094724
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Dec 20 15:29:10 2010 +0530

    Merge branch 'master' of github.com:gorakhargosh/watchdog

commit 07e6b59045e143c3d33c9f37ce3ad83f989961ab
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Dec 20 15:28:34 2010 +0530

    Simplifies tricks.yaml
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 4094724027e49e4a6ac5513793500d61c747e939
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Dec 20 12:40:35 2010 +0530

    Parsable json
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 67f35936a7e5f49c8242eb6a7e00762678601ddb
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Dec 20 12:24:14 2010 +0530

    Adds a tricks.json file
    
    I'm contemplating dropping PyYAML for the configuration
    file and using JSON. This would allow any language that
    can parse JSON (thus, directly enabling JavaScript
    frameworks and nodejs) to be able to use watchmedo.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 413205db5a1fe33e62cef675ecb4c0f438a77113
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 19 19:47:15 2010 +0530

    Make async winapi impl raise ImportError
    
    The implementation is not yet been written so we
    raise an ImportError to avoid loading this module
    on Windows.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit f2fe9f628f4cd0b65d969b6cd0ef88200e0409f6
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 19 19:46:27 2010 +0530

    Adds blank ReadDirectoryChangesW async impl
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit a2f10b66bbdfae0cfa314e99213ec689e8f47234
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 19 19:44:36 2010 +0530

    Adds script to dump FSEvents constants
    
    The script reads the FSEvents module from the system
    Python interpreter and dumps the constants we need for
    a ctypes-based FSEvents implementation.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit ab70ade7239b462775f927a190bb792eca3d139b
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 19 19:43:55 2010 +0530

    Moves the src/scripts directory to the project dir
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 8a3dae21c68e9697626521e0e80caf66bf26b7fb
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 19 17:42:42 2010 +0530

    FSEvents basic now works. Library is usable
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit b0a47464b6dea5d511cb4f7bfdd40b5395e073a0
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 19 11:33:34 2010 +0530

    FSEvents monitors subdirectories by default
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit f145054962b4d4054c43de9d87113b7ca74b434c
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 19 11:27:27 2010 +0530

    Adds basic FSEventsObserver
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 552571620b49d24c92f588ce986170914d55ca5f
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 19 10:59:00 2010 +0530

    Uses loop index type size_t to match `num_events`
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit e7df8d6b30f868f42168e54e2d3fc41e70d679ee
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 19 10:54:14 2010 +0530

    Raises error when event stream fails to start
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 97dc191accc74f3c26c50571728c5e9a976b0762
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 19 10:37:56 2010 +0530

    Refactors _watchdog_fsevents.*
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 68de68de3fc7811df8f56c5c6a94dee91c8d0f5d
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 19 09:39:49 2010 +0530

    Update setup configuration to use src/ as srcdir
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit a6e15577b242346867b11f70914f1992086c47a1
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 19 09:39:33 2010 +0530

    Move all watchdog lib/script source into src/
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 12e1f32a60cc452e298354bcfa6a3859e3282cc4
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 18 14:19:42 2010 +0530

    Add order comment in observers/__init__.py and format
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 45ba3dfef7b0656cdf864da27c46a5bc93f749e4
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 18 12:13:01 2010 +0530

    More formatting
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 1b06736d28601d9bed3a861cffa195d424316c67
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 18 12:06:23 2010 +0530

    Format argument option
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit ed673c9aef2fb894e49ae7f333b083eea8d76212
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 18 03:31:13 2010 +0530

    Replace `schedule` with `add_watch` in PyArg_ParseTuple
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 9bfb7daa173e09b9e7e5f42a797b95745182874d
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 18 03:13:39 2010 +0530

    Renames in FSEventStreamInfo struct
    
    Renames loop -> runloop and callback_event_handler to callback.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit c68dc665bff79e0edd76ea32856dfc92c562aca2
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 18 03:05:36 2010 +0530

    Casting is rarely required in C with void *
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit c450e5fa77d89abdf1d18ed7114b680efb838198
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 18 03:03:44 2010 +0530

    Removes g__* object refs from _watchdog_fsevents.c
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 79e88050ba1386a8914d4836e4a21cce6f595fa9
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 18 02:56:03 2010 +0530

    events.py formatting
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit ead618cdde1987e2777d54eb5112707965870027
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 18 02:51:23 2010 +0530

    Clean up
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit c6d9af1d77bc0e275c477883e190980fdfa4fc1e
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 18 02:29:32 2010 +0530

    Cleans up ``watchmedo.py``and adds documentation
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 44c890b7c57cc5f6eeeaba7677a47122258aa78c
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 18 01:45:21 2010 +0530

    Formats the watchdog/watchmedo.py script
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 64b4a4b81b8562988a662a325cf160c8e04b920e
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 17 18:56:32 2010 +0530

    Updates file header; passes all of malthe's tests
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit da8062c97cbdcf56ac4ccbe7385232143327fd1a
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 17 18:35:22 2010 +0530

    Method renames
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit e2764f646155259c963a53658bd2f9a8b0fb7225
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 17 18:23:46 2010 +0530

    Formats code
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 6797e8ea6650aa2fb4f70b29c9c03177c4d005a9
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 17 18:22:15 2010 +0530

    Rename 'observer' to 'emitter' in _watchdog_fsevents
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 9f101652be5d8682e9f12a152c351dbe8a9aa40c
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 17 17:51:53 2010 +0530

    Adds argument checks, updates signatures, and docs
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit b034a04f6b8fc676465585eb8b9b944beaa988a7
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 17 17:49:41 2010 +0530

    String literals don't need enclosing parentheses
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 53dcd4d5737e4bc145f02f590d034ed66f06ebe5
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 17 16:31:20 2010 +0530

    Clean up and modularize FSEvents Python/C API
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 9c565ecb40f1275c47e9b1cf187dccdd9cee0b3f
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 17 04:17:03 2010 +0530

    More accurate descriptions and names
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit bd332e4f36cf2a44d41cc4e176bb21649ee2a6f2
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 17 02:27:00 2010 +0530

    Update C module documentation
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 304daedbe27e34f7c72f00426b99c77fd54d6d82
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 17 01:57:43 2010 +0530

    (void *) casts are unnecessary in C
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit c462f1661ec74b03fb9b90f6da7df142b53f5d65
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 17 01:56:51 2010 +0530

    Remove unnecessary Python C arg tuple parsing
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit c952d71f9178135c3311a3f23291f4a7f467f90a
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 17 01:50:28 2010 +0530

    Add docstrings for functions in _watchdog_fsevents
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 7ccd1dd327c42c3cc242a9bf56c52a36cdc8ad33
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 17 01:49:53 2010 +0530

    Remove stray comma from setup.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 5d543064010ce8a2996e884a02be30305d1474cb
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 16 19:45:35 2010 +0530

    Adds RETURN_IF_NOT & RETURN_IF macros and cleans up
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 216e248dcad3b86b043f69e9155368d813425b3a
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 16 01:56:17 2010 +0530

    Adds a ``ctypes_find_library`` function
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit a947e203f5c09a44c96c7af96c105351c8b7c28c
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 15 16:44:19 2010 +0530

    PyDev cleaned up formatting in bootstrap.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit cffbc5390863d70fff453f2615a9d0651b3410e1
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 15 16:34:33 2010 +0530

    Adds __init__ methods to clean pylint warnings
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 4de790f8c1b4dfca5b1da7d32f926e11a6fb7f5a
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 15 16:28:35 2010 +0530

    Makes handler.dispatch public
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit b9c6c6430a4b51076ea3a91f9e6629f9c5bd2cd8
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 15 16:28:17 2010 +0530

    Cleans up more code
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 94ff27889aa3068c177b4a387a0ad35d240fd749
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 15 04:14:10 2010 +0530

    Cleans up even more code
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 7e948f58229395277f6a50defda3afc9d7fc57ab
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 15 03:51:35 2010 +0530

    Cleans up a lot of code thanks to pylint
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 24d92fe74c42719a0986c6c796762e75dcfc7176
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Dec 14 21:28:19 2010 +0530

    Adds warning note about kqueue performance
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit e0dec54170b9543cf4afb034ccacf4055764c020
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Dec 14 17:40:56 2010 +0530

    More clean up
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 2a95f1dfe4c1e249b8992865b09c8913441e4a7d
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Dec 14 17:36:51 2010 +0530

    Cleans up code as recommended by pylint
    
    Code contained a few import and built-in redefinitions.
    Also, some unused statements and variables. This
    cleans them up.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 832b4699543649bc0d02e99e51ca4b414acf86f1
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Dec 14 17:25:53 2010 +0530

    Update references to winapi async observer
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit e655ed55af79fb6135224834924135c430c953c5
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Dec 14 17:21:12 2010 +0530

    Removes unused import in read_directory_changes.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit e509bcd7612c3828bff12e5364fff41722c54e22
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Dec 14 17:20:11 2010 +0530

    Use the ``ctypes`` module as namespace
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 6c7b2d45dee15014919f55dd04d796ee69c62c23
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Dec 14 17:19:37 2010 +0530

    Fixes renamed debug imports in ``watchmedo``
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 1d9f45162505318ba5f6661e3db798ae09ad2079
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Dec 14 04:21:48 2010 +0530

    Adds ``--interval`` command-line option
    
    Adds the ``--interval`` or ``--timeout`` command-line
    option to all the watcher subcommands in ``watchmedo``.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 6dc62864848c8878ec3d28ed81784fd06fe1c9b1
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Dec 14 04:20:25 2010 +0530

    Renames generate-yaml -> generate-tricks-yaml
    
    Renames the ``generate-yaml`` subcommand for
    watchmedo to ``generate-tricks-yaml``.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 818ed8365aa070143ea36777c359d04ec5b229a8
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Dec 14 03:43:31 2010 +0530

    Capitalizes usage of Copyright symbols
    
    Use (C) instead of (c) consistently throughout
    the codebase.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit d1c6fa5649852a6f807c24850f4c81ef6aaafafa
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Dec 13 10:41:07 2010 +0530

    Adds missing ``ctypes.util`` import to find libc
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit f09f13861cb8a1d6d47b72f6408464be8d9dfdc4
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Dec 13 10:16:53 2010 +0530

    Uses the raw buffer to read Windows events from
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit be1ed0492e128e61508ab04e5c5c1b43a8ffb5af
Merge: c8816b2 753260c
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 12 22:43:35 2010 +0530

    Merge branch 'master' of github.com:gorakhargosh/watchdog

commit c8816b28edade1881f1e671541cc001ff69a6679
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 12 22:42:42 2010 +0530

    Read C strings instead of wchar_t and decode
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 753260cb4d364a689d030a11808a177c002922b8
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 12 22:08:53 2010 +0530

    Synchronize read_events for inotify
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 36d08a4e0a1376f463ea85f3639747044ffc9831
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 12 21:59:16 2010 +0530

    Fixes typo: `FSEevnts` to `FSEvents`
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 0076585338eff57c9b2b59b8ed3b62f2a2e08c8a
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 12 20:44:01 2010 +0530

    Converts bytes to long for get_FILE_NOTIFY_INFORMATION
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 58f6c906c1fc868ae4cccbaac52241e6fcc05ab8
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 12 19:08:24 2010 +0530

    Fixes typo in the copyright line for ``winapi.py``
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 5bbc040eebc55bfe45b3ad037c3c2e90c264ad8f
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 12 19:06:25 2010 +0530

    Adds link for get_FILE_NOTIFY_INFORMATION
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit de309e429063f8c39f68be3ccd2818cc085f5de1
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 12 19:03:44 2010 +0530

    Adds Thomas Heller as contributing author
    
    The ``get_FILE_NOTIFY_INFORMATION`` parser that reads events
    from the buffer passed to ``ReadDirectoryChangesW`` was
    originally written by Thomas as a response to a question
    on the ``ctypes`` mailing list.
    
    .. mail: http://blog.gmane.org/gmane.comp.python.ctypes/month=20070901
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 4a13f1407ec9e046925de4613d3d46825a76c6d3
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 12 19:00:27 2010 +0530

    Adds parser for FILE_NOTIFY_INFORMATION struct
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit fa15979abdcb9d5d6a9e1b6799b1b0e214939aef
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 12 18:17:24 2010 +0530

    Adds using FILE_NOTIFY_INFORMATION to read events
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit bfa937525b8b2e1dfd45df44af4d410e66109453
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 12 16:28:42 2010 +0530

    Removes remaining references to pywin32 from docs
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 695b9e2b6ef454886c7ab432ccf1633813938902
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 12 16:19:27 2010 +0530

    Enables OrderedSet on supported Python versions
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit a186c8f0510351511b8fbaad7ec29071dd9ee587
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 12 15:58:50 2010 +0530

    Fixes author email formatting
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 7592b180a621fe468c08199c40b23fdc516782a4
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 12 15:57:07 2010 +0530

    Will McGugan and Ryan Kelly are authors
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit e0e81adc49787339229d4d6bf2206f93499a91f4
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 12 15:53:23 2010 +0530

    Removes pywin32 from setup.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit bb19440a894034e81b2c380276ee42d05f549504
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 12 15:51:14 2010 +0530

    Drops dependency on pywin32
    
    Windows constants and API are accessible using
    the Python ``ctypes`` module. ``pyfilesystem``
    already contained the interface to the API we
    need. Importing that code into the library
    eliminates the dependency on ``pywin32``
    which cannot be installed using ``pip``.
    
    Dropping the dependency entirely made sense
    to make it easier for users to install the
    library.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 1701745fbfd6620ae5ab9245d2c6f63994dee9be
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 12 15:33:57 2010 +0530

    Renames ``winapi.py`` to ``read_directory_changes.py``
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit e0f0764b331671e34691b8357781eec661ec2698
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 12 15:16:36 2010 +0530

    Ensures on_thread_exit is called on daemon threads
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 38d948df91ebbe8651de50cbcca2f4b49c6286b4
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 12 03:15:34 2010 +0530

    Drops the dependency on pyinotify
    
    We now have inotify support built into the library
    and no longer need to depend on pyinotify to provide
    an interface to the ``inotify(7)`` API.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit f17251ede082192acaec46d04d08b4d0e3d6e88f
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 12 02:27:25 2010 +0530

    Renames ``scripts/nosy`` to ``scripts/nosy.py``
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 1e6c78b6ba3db14681d5677e898fac99f538a9d0
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 12 02:26:38 2010 +0530

    Adds copyright information to scripts/nosy
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit bf29db677b0245b884d6c47cfc7ec4a2ef16c29b
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 12 02:11:25 2010 +0530

    Sync queue_events and handle ctypes AttributeError
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 399aca254344bf8c5f91d056a7fb2a69bf3a707b
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 12 01:04:54 2010 +0530

    Generates sub events for directory movement
    
    Inotify does not provide movement events for files
    within a moved directory. We emulate these events.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 11b8381207013f1e09f0cf7ee47441728e6aac03
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 12 00:53:52 2010 +0530

    Swallows fired but unpairable moved_from events
    
    Two events with the same cookie may be notified
    by inotify, but sometimes the key look up on the
    cookie in the dictionary used to pair moved events
    fails. I have yet to figure out why this happens.
    As a test, you can try to execute ``git gc`` in
    a recursively monitored directory at the root
    level after disabling the KeyError handling.
    
    I have marked this as a TODO in the code so we
    do not forget about this issue.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit c654a2d17382b60217b5a2aab0fdc5d5853e3701
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 11 23:21:49 2010 +0530

    Adds Sebastien Martini to documentation
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 18538783bf42cec297d3753983faf928421ab214
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 11 23:17:58 2010 +0530

    Starts queuing inotify reported events
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit a4b161f61f172541c8ce36ccd6595d6599ca6170
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 11 22:07:03 2010 +0530

    Enables displaying event mask names in __repr__
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 7a6ec65ca4f924754c0cfbd0c5a511115f02813d
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 11 22:06:25 2010 +0530

    Adds Sebastien Martini as contributing author
    
    We're using a little bit of code from his pyinotify
    library.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 60050f4c7cf0d776cde0d17b6a6769af79c5b7de
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 11 19:54:57 2010 +0530

    Clean up ignored watches
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 4816b6df6570d6446325e72b287b1467ee8e71f8
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 11 19:38:41 2010 +0530

    Adds automatically adding new directory watches
    
    When inotify fires a IN_CREATE event, we check whether
    the event refers to a new directory, and add it to
    the watch list if using recursive mode.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 7e21b75bff99d15a86f6140237057f5cf252810e
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 11 19:21:59 2010 +0530

    Adds basic working inotify file system monitoring
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit eeb2e3176050e090d68a02439b72eff39584b313
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 11 18:33:10 2010 +0530

    Initialize the Inotify() instance correctly
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit c8b280835b76687fd8b0c60c759b7d17f5f04889
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 11 18:27:30 2010 +0530

    Adds wrapper class and struct for inotify_event
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit a6cb1f917854504a0615429e3c0cb5da54a27e09
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 11 18:26:43 2010 +0530

    Enables creating non-blocking Inotify instances
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit fd7e5e78c36b6abd5d36df320b924360245170dc
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 11 18:25:49 2010 +0530

    Adds links to inotify articles and documentation
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 53f7bea9080fadf5d47508aca6acc092a4a1b087
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 11 16:16:46 2010 +0530

    Adds an initial wrapper for the inotify API
    
    Encapsulates all inotify-specific functionality and
    book-keeping into an ``Inotify`` class. The
    ``read_events`` functionality is pending.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 542d5ec2b0f3661234ffcec8625aa0dcc71fd2a1
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 11 08:52:44 2010 +0530

    Adds bitmasks and ``inotify_event`` struct parser
    
    Adds all the bitmasks mentioned in the ``linux/inotify.h``
    header file.
    
    Adds a parser that unpacks ``inotify_event`` struct buffers
    into sequences of events processable by Python code.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 1613cad99f91acb8f6c9b3557e5a5e9b0301a684
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 11 08:25:13 2010 +0530

    Precalculate all events mask.
    
    We want to be able to watch for any event inotify
    will be able to provide us with.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 07f85cae9a956c896e0b250ed38371f73d399060
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 10 22:45:13 2010 +0530

    Cleans up add/remove kevent descriptor code
    
    The ``absolute_path`` function was being called
    multiple times unnecessarily. Move these calls
    to the appropriate places and clean up unnecessary
    variable creation when adding and removing
    kevent descriptors.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 14d67b6e670c4c744e528110c9ca2892672e32b9
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 10 22:29:41 2010 +0530

    Stops generating native API documentation
    
    Sphinx cannot import modules that depend on APIs
    native to another platform, which means that
    documentation, for platforms other than the one
    on which Sphinx runs, is not generated due to
    failures. Since we already have abstract base
    class documentation common to all these native
    interfaces, we no longer generate documentation
    for native API.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 65993ad0304e7db069818f38d4597cc06280bff8
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 10 22:20:07 2010 +0530

    Removes a period from the end of admonition title
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 9641ee64d7a2fc97430f9846382a137a45b9038f
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 10 20:06:55 2010 +0530

    Fixes a typo: c_unit32 -> c_uint32
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit cf2af7064dd3dd7a834bf4776242cc5ed30185be
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 10 19:57:04 2010 +0530

    Adds basic skeleton and constants for inotify
    
    Adds skeleton code for the ``inotify`` emitter and
    observer implementation.
    
    Includes constants from the ``fsmonitor`` library.
    Includes loading ``inotify`` functionality from the
    the ``glibc`` runtime.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 0f84d34956fa7aaa2d4e735eb0e7606fbc29d5dc
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 10 19:36:58 2010 +0530

    Disables installing ``select_backport`` for Linux
    
    Disables ``select_backport`` as a dependency on Linux
    because we aren't currently using it on this platform.
    Also, only the ``select.kqueue`` implementations on
    Python version 2.6 or below on BSD platforms are known
    to not work. Linux does not need this patch.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 94f2d4e77b7982ddff2da1fd73d463a137d3f990
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 10 19:17:35 2010 +0530

    Adds Luke McCarthy as additional copyright owner
    
    This implementation of the ``inotify`` emitter
    is based on the work of Luke McCarthy's
    ``fsmonitor`` library for Python. The original
    implementation can be found at fsmonitor_
    
    The original implementation does not comply with
    our API specification, but also does not depend
    on the pyinotify_ library. fsmonitor_ uses
    Python ``ctypes`` to dynamically load ``inotify``
    functionality.
    
    .. _fsmonitor: http://github.com/shaurz/fsmonitor
    .. _pyinotify: http://github.com/seb-m/pyinotify
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 5f1cfb207d9e9e412da5fae00ba4a9f75a2a7662
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 10 19:14:14 2010 +0530

    Adds docs and empty inotify emitter implementation
    
    Adds an automatic documentation entry into the
    ``docs/source/api.rst`` file for the
    ``watchdog.observers.inotify`` module.
    
    Adds an empty inotify emitter module named
    ``watchdog.observers.inotify`` with documentation
    about Linux versions, glibc versions, and emitter
    implementation notes.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 1da782cd4176a02265b172cc3c58176452a322fd
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 10 16:06:28 2010 +0530

    Updates documentation with recursive clone command
    
    Newer ``git`` versions include a command-line
    option named ``--recursive`` for the ``git clone``
    subcommand to initialize all submodules for a
    given repository when a clone is created::
    
        git clone --recursive <repo-url>
    
    Patch updates ``docs/source/hacking.rst`` adding
    information about cloning this repository and the
    submodules within it using a single command, thus
    removing the previously used additional command::
    
        git submodule update --init --recursive
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 73074e677d39aa44caa25badd8317515ce5f0b35
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 10 14:58:09 2010 +0530

    Add a why watchdog section in the readme.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit e28226a5acc7f2660ca6812dffd969001c4308a7
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 10 03:14:54 2010 +0530

    Disable using the watchmedo.bat script. console_scripts generates executables.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 7acfa66be0649c7847020d8155c8a1e12ee989b3
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 10 03:14:30 2010 +0530

    Don't need an rlock in KeventDescriptorSet
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 95289fe340c68a234ca2c4084588b8951d5e6d92
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 10 00:24:57 2010 +0530

    Update test docs
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 26ecc6ac968cc178b740be194bb86b61215c5dc8
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 23:46:59 2010 +0530

    Update doc examples
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit bf4cc9ec21dd87232d4d9baa55818a02dc113af0
Merge: e3a51d0 16e7b81
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 23:41:08 2010 +0530

    Merge branch 'major_safai' of github.com:gorakhargosh/watchdog into major_safai

commit e3a51d061dee3920305657460a7d51ee7815dd0c
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 23:40:52 2010 +0530

    Cleans up imports in winapi observer
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 16e7b8149be59777041cb277cb722378d3950e07
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 23:39:43 2010 +0530

    Windows install fails if manifest includes directory names with ending slashes. Fixes this.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit a59fe1ec24cd34fb44d6070dec1165142929c4fb
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 22:03:16 2010 +0530

    Adds a --timeout option to the watchmedo log subcommand.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 40bff3f3f2956a5335c9bf127b28d0c4ea2efde5
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 21:56:44 2010 +0530

    Updates loggertrick to log specific events
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 901b7453a2b8352bfd084d064635c0dbd9fced42
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 21:56:34 2010 +0530

    Removes unnecessary print statement from kqueue observer.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 982dd1b494a8baa7856ed39e2dfcf06d99a5e487
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 21:16:46 2010 +0530

    Formats setup.py and updates Trove classifiers for the package
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 121dd220680eac9d8cb0e10c4323d5a66d15aee9
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 21:07:01 2010 +0530

    Update manifest and use setuptools
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit b21488fddaeacf6dbcab561ac35d374e21944473
Merge: afbd726 bbbfb13
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 20:41:25 2010 +0530

    Merge branch 'setup_py_fixes' of https://github.com/peritus/watchdog into peritus-setup_py_fixes

commit afbd7263f31e462f2a5e3a5856267406146bfa08
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 20:19:35 2010 +0530

    Updates contributors list adding Raymond Hettinger
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit fa70e77add0ba1e9bb5762cf5d388bea3f6a0111
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 20:15:06 2010 +0530

    Add Filip Noetzel's email address
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 47739928727596d0ab125f14f77ce5e597aae191
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 20:14:41 2010 +0530

    Adds Filip Noetzel as a contributor.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit bbbfb13fcfbd9bcbc1bcebd460ebe91045b39569
Author: Filip Noetzel <filip@j03.de>
Date:   Thu Dec 9 15:33:17 2010 +0100

    watchmedo gets autogenerated, delete script

commit e115aa860cd7e8c2780a01a7f18bd0a52a7d9827
Author: Filip Noetzel <filip@j03.de>
Date:   Thu Dec 9 15:29:39 2010 +0100

    setup.py: pack all packages, not only 1st level

commit 59b3f0540d905254de42da6bb9cbd3374b3d922e
Author: Filip Noetzel <filip@j03.de>
Date:   Thu Dec 9 15:19:21 2010 +0100

    let setup.py generate the "watchmedo" cli tool

commit ccc8dd65292c68c3affa28789f9401d73cfb43ca
Author: Filip Noetzel <filip@j03.de>
Date:   Thu Dec 9 15:18:38 2010 +0100

    setup.py: s/install_requires=/requires=/g

commit 2c8e410ae7d8fb6473062d6026b5cbecd39d01ef
Author: Filip Noetzel <filip@j03.de>
Date:   Thu Dec 9 15:14:32 2010 +0100

    Use valid project/version requirement specifiers
    
    Fixes
    
    error: Setup script exited with error in watchdog setup command: 'install_requires' must be a string or list of strings containing valid project/version requirement specifiers

commit fe7650e85ebe56198a3e20d947691f5baf8d2dac
Merge: f328ecd 60f50f7
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 19:46:28 2010 +0530

    Merge branch 'major_safai' of https://github.com/peritus/watchdog into peritus-major_safai

commit f328ecdf8ad4469e6516139c982ab66c8447f307
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 19:46:19 2010 +0530

    Formatting for the setup.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 97b3407812dfd5be59ae2641030363a7b77e4bd7
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 19:29:19 2010 +0530

    Indent the KqueueObserver class one level in so that it executes only on BSD and Darwin
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 60f50f783d8b0c49cea2c7d10388577558a86fd4
Author: Filip Noetzel <filip@j03.de>
Date:   Thu Dec 9 14:58:52 2010 +0100

    setup.py: Don't read now-excludeed README.md

commit 6b4ce68d61b2a047b8ad6c30e5c4322c5fe35163
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 19:25:03 2010 +0530

    Update code comments.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 0d5239f872941c903b3a4a4d957357b9f0ba2bd2
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 19:14:49 2010 +0530

    Clean up
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit d8aa7f9ec755d27f1df60248e8cfca35581d0379
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 19:12:52 2010 +0530

    Remove unnecessary code and update answer to TODO in kqueue observer
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 2da4ff2547e9c8c1d6ce3607d3cca7538d3c1353
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 19:04:22 2010 +0530

    Includes information about why we're ignoring temporary files in kqueue observer. Locked files cause python process to die with bus errors
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit ed17b08387fb2dd8361b2993573cfe8d97ff8f5b
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 18:44:19 2010 +0530

    Ignore temporary files in kqueue observer
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit b60fb7468f2b8d51154554dc66c20f72ab936c58
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 18:41:42 2010 +0530

    Fixes the locking code for KeventDescriptor by now using a reentrant lock instead.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit a32610072d7c1700428072b91df3d1d7d587ed0d
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 18:25:54 2010 +0530

    kevent object cannot be dictionary key
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit a63b2f59b6c34308ff0dd98d055f936cbafe7469
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 18:24:58 2010 +0530

    Detect the python version properly in kqueue observer.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit d34c9b192b3af2d347c6b6020a55da095a38600e
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 17:15:16 2010 +0530

    Corrects the names of the windows observers in watchmedo and watchdog.observers and fixes the watchmedo logger.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 549f5d3101a9a09d926bad20d04e1c0201d5dab0
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 16:38:53 2010 +0530

    Comment update for timeout behaving as interval in polling observer
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 3551cc4998253661ad6c3f76c556c407624d8cbb
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 16:38:36 2010 +0530

    Adds a Windows API ReadDirectoryChangesW-based implementation using the cleaned up API spec.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 7d46b7a76a943a4ba8f661327889b42d7db9b121
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 16:05:25 2010 +0530

    Adds cleaner names for the Windows API observers.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit f5387a17c3b216bfad8f5e87f4c676660f2b568d
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 16:05:01 2010 +0530

    Rename w32_api.py to winapi_common.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 6250c65a19eaf2a4747092fa0d5f49681fa830b7
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 16:00:31 2010 +0530

    Excludes README.md from the sdist to fix issue 15 with broken symlink from README.md to README.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 4e764331dacee3a6d1b57366be77b060009dd932
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 03:32:42 2010 +0530

    Update docs
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 98811170c546541428f0a82cc3a64efedc713447
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 03:20:49 2010 +0530

    Update more references to watchdog.utils.collections to watchdog.utils.bricks
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit e356d61744e42c4e85862d847d86ac136e289352
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 03:19:00 2010 +0530

    Use _Observers from the observer implementations.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit c52e7f773d6714f15006a054421c5876791b6023
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 03:18:37 2010 +0530

    Update references to watchdog.utils.collections with watchdog.utils.bricks
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit cd1b364aac5735391cbbcb4761ae93aa5d568494
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 03:18:09 2010 +0530

    Rename collections test file to bricks.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 34fb68cf39fec64cec0f01d3860ca2e3b6e2d2a2
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 03:15:14 2010 +0530

    Rename collections.py to bricks.py to avoid conflicts with the python collections module.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit c88f608e2a70955987bc9b75a4097cd8a40d1554
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 02:48:04 2010 +0530

    Move collections/__init__.py to collections.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit a9a71937a321d5cf497c0df9fab484183be9a5a1
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 02:00:54 2010 +0530

    Fix a bad call in observers.kqueue to _queue_dir_modifications
    and add new observer classes.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 353df3b2ce9f03698adf3a20b7b12afc288bbce4
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 00:44:09 2010 +0530

    Remove dangerous code that uses list literals for param values
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 507ffaf08f0d42d593ff31c67127da273a499197
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 00:43:41 2010 +0530

    General cleanup and wildcard removal
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit fdc92c5bd06fda736f16466c19b85d4d24386f16
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 9 00:42:59 2010 +0530

    Remove wildcard importst
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit c10ff420fd3cf2b8f1c0af8219a3cc88ea509a00
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 8 23:23:52 2010 +0530

    More pylint clean up
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit e268953637ecc810a5db02aafff7deb4003825c3
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 8 23:00:24 2010 +0530

    remove the previous observer implementations
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 0fd8e66bc59317f64318f5d30444859451501a79
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 8 22:53:24 2010 +0530

    Don't write code without pylint. Caught a multitude of syntax problems and errors.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 7bc390fbfaca3d179848705ee991417c76605f58
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 8 19:18:12 2010 +0530

    Update classes to use absolute_path and modified api in dirsnapshot.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit b977b051c051fa9b7160444469d87967d8054cc9
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 8 19:17:36 2010 +0530

    Removes the use of real_absolute_path, prefers absolute_path instead and adds a collection class by Raymond Hettinger
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit d914e50ff21d911b3b10b4b75dfbd3f347b511ab
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 8 19:16:28 2010 +0530

    Set the encoding of the tests.utils module to utf-8
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 24d76a9081b65e4c7b8c7d2d482b6f4d6151c16b
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 8 19:16:08 2010 +0530

    Adds an ls() utility function to tests.shell
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit d42662c8db2a94a46260b67da48607d34db64ef7
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 8 19:15:53 2010 +0530

    Produces detailed errors
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 7323b1749d90ac2065f2311b17808be494d2eec4
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 8 19:15:36 2010 +0530

    Remove the older kqueue and polling implementations
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 10be2d5d43786821a3c4dcbf5fa5af11123658cf
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 8 01:28:42 2010 +0530

    Adds documentation to watchdog.utils
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 1bd49137bd7b9c9c85d557089de031b8e1293db1
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 8 00:27:27 2010 +0530

    Update docs
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 88d1d1096b972895ca8c63476cb7d49445b79111
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Dec 7 23:50:15 2010 +0530

    Remove the unnecessary modules/ directory from docs/source/
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 3e965559537eb34b77013737dd80b26432871533
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Dec 7 23:49:49 2010 +0530

    Organize documentation
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit ad0ac8f9b8ecad3b05a36e4ef3f6ee1bdda210d3
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Dec 7 23:17:42 2010 +0530

    Correct typo in documentation.t
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit b08e66a41562a87c50fe910e58b49d1e661320b3
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Dec 7 23:16:20 2010 +0530

    'interval' to 'timeout'
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit f7aba476e5916acfb40d46e3531a10bb892fe263
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Dec 7 23:09:44 2010 +0530

    Lot of documentation updates
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 3b2e3f5987f134073ed307741417663887fd1c2d
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Dec 7 20:51:28 2010 +0530

    Clean up syntax problems and add documentation in watchdog.observers.kqueue
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit ce87463a7e645f20d21f0eb6ef70eb3f7bdcb925
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Dec 7 20:50:42 2010 +0530

    Get tests to work again
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 7d69d5383c9700ca79166df1a4951b48fd677ec3
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Dec 7 18:54:13 2010 +0530

    Add an under-construction kqueue emitter
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit a123a118dd29b536b1dd0feac2eea3a665f79f3d
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Dec 7 18:53:53 2010 +0530

    Make the polling emitter block for a timeout before re-reading events.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit d8b3ad0705563b2286b44409448197da18cbe220
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Dec 7 18:53:32 2010 +0530

    Intervals for emitters are actually blocking timeouts, so name them so.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit ed17b6561bab8a20d683c7dca06b3a20df230fe2
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Dec 6 23:22:32 2010 +0530

    Removes ObservedWatch.signature property.
    
    ObservedWatch objects are guaranteed to be immutable and hashable,
    therefore, they can be used as dictionary keys.
    This removes the need for watch signatures.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 466c2591d4351cfbd1c18d91f2b162407687f602
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Dec 6 23:16:55 2010 +0530

    Add docstring for ObservedWatch.signature property.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit ab43932b234587d0c5f5b528ed141399f8ae8d68
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Dec 6 23:16:39 2010 +0530

    removed unnecessary doc
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 1ae3f9d8c6a9dc99fd69a4e6374179461c3a2b60
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Dec 6 20:51:38 2010 +0530

    Use simple lock and update documentation in PollingEmitter
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 5cce428fe8ed2e6313e1963188f4b8eedb68430d
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Dec 6 20:51:27 2010 +0530

    Move shell test utils to tests/shell.py module.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 49826bd7637cbd8d00d7cbba650318790f26e80e
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Dec 6 18:07:00 2010 +0530

    Update reference to polling emitter documentation
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 4284586a93af4bfcbca7c396f478785a656b8932
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Dec 6 18:06:10 2010 +0530

    Update all references to polling_emitter module.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit b87e7eb70610b1ebd0e79de1877d40671886edaf
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Dec 6 18:05:05 2010 +0530

    More name changes.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit aa9f2a9114bf3bf81be1326c92ae2365264c6340
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Dec 6 18:03:53 2010 +0530

    Update observers/__init__.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 654fe8be8b8ea0a1b68e9aad1143eb35b8b7a3a1
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Dec 6 18:02:13 2010 +0530

    More renames
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit d5659e4af0a3fbfe10b6ed715f6583fb3b0167b9
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Dec 6 18:00:55 2010 +0530

    Renames
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 8864fa83eabd2158d4180e7872237739c2555b77
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Dec 6 17:23:50 2010 +0530

    renames
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 41b7b851b6abfe7de5ba5b537e95d8fe2af5b92f
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Dec 6 17:22:17 2010 +0530

    Move emitters to their own module package.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 110bb48dfce74ed0984a982ff642d5fd7777299c
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Dec 6 04:01:14 2010 +0530

    Full watchdog.observers coverage. 76% watchdog.observers.polling_emitter coverage.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 83a31de67dbcda9fd052ae5d95933e119ed7c6d9
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 5 22:14:03 2010 +0530

    100% testing on watchdog.observers.api
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 96f785ad6178ff5e876b2225bf9bfb189fb829b5
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 5 20:13:22 2010 +0530

    95% coverage of watchdog.observers.api with some crap thread testing that needs fixing
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 983e4b1c6d809b6cf6e00be09a5e94db9a681071
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 5 19:46:48 2010 +0530

    74% coverage of watchdog.observers.api
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit fbd82ed1e092e6aeefef2a1b997b498291b810c0
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 5 19:08:50 2010 +0530

    Revamped and much cleaner API.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 5b7db053750c70cec5538db18b90bf9a5e76a8e5
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 5 06:00:39 2010 +0530

    Don't let kqueue_observer and polling_observer face broken imports
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 7727d073a0f1dace81adab5968c3510dd171e003
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 5 06:00:12 2010 +0530

    Add watchdog.utils.rst and eventemitter and eventdispatch classes.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 2833cccef6b55ff771dcd644fdbc81f2b183107e
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 5 01:58:12 2010 +0530

    Add doc for test
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 0a9d290155f22d904a20fb4fce5c9373abef8e47
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 5 01:15:09 2010 +0530

    Clean up
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 1a7541eb747f3518f58df10a14a0ef8262212ad6
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 5 01:13:14 2010 +0530

    Check order and set behavior on ordered set queue
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit b62d117386fed64e6347de28ce0ce5b4116e8d63
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 5 00:49:51 2010 +0530

    100% test coverage for watchdog.utils.collections
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 0fc6ec9882caba24f4b83d361373e81b1c1f3363
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 5 00:49:35 2010 +0530

    Clean up test_watchdog_events.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit f2bed6a0dd2e3098497d3cacad40dd8e96c5b9c6
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 5 00:49:20 2010 +0530

    Coverage more packages.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit d1faa93f7911678824605944f4b066a61a004187
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Dec 5 00:49:00 2010 +0530

    Add pythoscope as develop dependency
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 0d949020276d7ad69fb10e8a9241c2d1ed89686b
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 4 22:55:13 2010 +0530

    More clean ups in events.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 73a3e1c5fde3340ea98a743fb5a48dea60e323d6
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 4 22:53:17 2010 +0530

    Remove unnecessary pass statements
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit d7b4722cd03545b62081ba63bb25aa1915a8987e
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 4 22:51:01 2010 +0530

    Remove unnecessary code from PatternMatchingEventHandler
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit e80e01981df98c8fd8adcef2d2b07981b9c53b58
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 4 22:41:08 2010 +0530

    Clean up test_watchdog_events.py and 100% coverage of the module completed with tests.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 9d632208f84bb7f487a5c59803140f8e1845351f
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 4 22:01:51 2010 +0530

    100% test coverage on watchdog.events.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 50714051224e15aa29292137f9f6e5b5083bc8bc
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 4 22:01:33 2010 +0530

    Allow bin/python to use test eggs
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 41caafe184415bd6f08a6f2815cfcbf250e6b0b1
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 4 19:55:58 2010 +0530

    Remove doctest from FileSystemEvent which is already covered by nose and add documentation for watchdog.observers.Observer
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 976f6bcb8e5e2dac6fcd5525a05acbe5a3226922
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 4 18:40:59 2010 +0530

    Update docs
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 8084e4f80e6f5ede50269409b091f15049c1f06b
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 4 18:22:37 2010 +0530

    Update missing cd to source directory in installation instructions.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit b3887fd291af8e5c4e28a88d4cb72cc9feeb9b8f
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 4 18:06:26 2010 +0530

    Move examples to docs/source/ directory
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 5472fdbfeec213150b5d22aa1324e0abb3c4e93d
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 4 18:03:38 2010 +0530

    Add information about hacking
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 989bf02d8d92abf900f6fdad34a6cd07e00069ab
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 4 17:25:29 2010 +0530

    Add information about flask-sphinx-themes
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 0a0b9894398c6ddf0dcc7d86ef843d04b6040f8e
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 4 17:21:55 2010 +0530

    Move scripts to scripts/
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 06b271b17e84ed04fd74fd0dfae3f34d9fbd7886
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 4 17:17:58 2010 +0530

    Add mailing list info to docs
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 7bc41df789f07e6bc2bc979a1a55f5c0aff0b0f3
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 4 16:47:01 2010 +0530

    Update documentation
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit a32020735551b73451a6c4f81acb2e789109a1f2
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 4 16:09:44 2010 +0530

    Update nosy to use sphinx-build from buildout bin/ directory.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit abbfcb278e44335081dad312b79a0ec90870bf46
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 4 16:05:04 2010 +0530

    Use buildout to set up entire development environment without depending on system python.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit f50543e9ea1f8cb3c9053daf1ec55cce08e0f229
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 4 15:55:57 2010 +0530

    Don't clean up pydev files
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 4378da259dfce6eb8b0c651dd1c21f23e6eec27a
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 4 05:50:14 2010 +0530

    Cleaned up docs
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 616fc583012674d122b41e77111ac7133e7be2d9
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 4 05:49:57 2010 +0530

    Rename install.rst to installation.rst
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 87d575bee78c05fca9c1aba6f0a1484f7bf00648
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 4 01:13:44 2010 +0530

    95% coverage of watchdog.events
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit d0c48611664a1becc845662092828621aee31951
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 4 01:13:34 2010 +0530

    Update test runners
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit af8b337b2eeff0f3243a19b7b14b00a75581fb18
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 4 00:35:23 2010 +0530

    Remove unnecessary file
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit adedb924f8944678be4f292a2a026a73e62dcdff
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 4 00:23:46 2010 +0530

    Update readme with API change
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 563289568619c660dfbd8a71507b00c185561a0d
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 4 00:22:49 2010 +0530

    Update examples and code to use moved Observer class from watchdog.observers
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 23df3541c0a501731108ba58d40522f85b99e032
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 4 00:22:33 2010 +0530

    Reorganize docs
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 818b304c9469be2d07d4a743988824aad0c813eb
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Dec 4 00:12:24 2010 +0530

    Rename introduction.rst to quickstart.rst
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 46c4f996ba9605167b9d808c95727ea51fe5eb86
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 3 23:52:05 2010 +0530

    Update documentation with examples
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit d85f8196eb18ec88f1c474be08907805144e2d93
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 3 22:47:38 2010 +0530

    Clean up docs
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit e34d4d989b4d7d3f8a28276c89c7abec5cb4c8e6
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 3 22:45:40 2010 +0530

    Clean up documentation
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 3cef60161bbe315d01dfed23f657f9f397ff8c45
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 3 21:56:54 2010 +0530

    Rename polling_observer.rst
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 1dab8244d2ab3e69678564f05bba0f0e8384f3e0
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 3 21:55:02 2010 +0530

    Moving ordered set queue to collections.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 934f9d78680cc80bf4c92a013f4ce75c7416a98d
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 3 21:54:38 2010 +0530

    Rename events.rst to watchdog.events.rst
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 4daa3676a8baf627b6d5d51752ad2f6091f3493f
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 3 21:52:59 2010 +0530

    Update ordered set queue docs
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 50568274ead2ea51159cc14099addacee61396c8
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 3 21:41:46 2010 +0530

    Update documentation for ordered_set_queue
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 53277ab0d9fce720aab8ff45f39c37680ac87fa0
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 3 20:50:45 2010 +0530

    Configure sphinx to use flask theme
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 525e41ff164b37e1a92393750ea1a23ce111ac3f
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 3 20:50:35 2010 +0530

    Add flask-sphinx-theme as a submodule
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 0fdb6c1bf5b3a4889806b63557833d966eb20952
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 3 20:48:37 2010 +0530

    Remove _themes directory
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 273ca14e52445fdb4ab3f64f94936498a92fde8d
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 3 20:48:19 2010 +0530

    Remove flask theme
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit e4ba71636b47e07eef57d9d7c44bbe39c6278ec6
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 3 20:44:43 2010 +0530

    Add sphinx themes from flash as a submodule.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit e3ae382a5e5709a11d9464c2b5a1340023df4a8d
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 3 18:56:03 2010 +0530

    Corrected coverage is now 53% for watchdog.events.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 464c9af2678078e5b2f000c6ed637f8d3d27ea4c
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 3 18:55:43 2010 +0530

    Coverage by itself generates better reports.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 2cd3519569db74e7c454e1b8d32c3a7a71e49a23
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 3 17:57:44 2010 +0530

    Update ignore rules to exclude htmlcov/
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit df33077a588d0856ba8402e93219d988f70f9e4e
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 3 07:32:07 2010 +0530

    Update ignore rules to exclude .pythoscope/
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 9a59a58917dacb2b762d288aa559ecb249c794e9
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 3 07:31:30 2010 +0530

    60% coverage of events.py in test_watchdog_events.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 33d917e5e7c67c5b2f555ac598317a235675992b
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 3 07:30:51 2010 +0530

    Nosy runs only tests at the moment.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 6bb4bb75a039c5bdbb3526eaa238d7a4280e55cd
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 3 07:30:37 2010 +0530

    Clean up events and add error handling to the event handlers.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit a4fd64fb38ac0cdea07414953871b06dd04c1f6d
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Dec 3 07:30:21 2010 +0530

    Add a match allowed and ignored patterns for path method in watchdog.utils
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 2ab626e6f87c76a4a535a8e6a4cc34ee9b6569f5
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 2 23:53:53 2010 +0530

    Update nosy to build documentation too in the background
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit d6cc59205b5fd53742b8d86e44b488ca400d92a2
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 2 23:50:48 2010 +0530

    Add a nosy script that currently polls the directory for py changes and automatically runs tests.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit b1c3d1e631e8b456a2ccb21f716c5a22c1397bf0
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 2 23:49:16 2010 +0530

    Remove the run_tests.sh script. We're adding nosy.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit bbcb7fc3fa251698eb20c5631008000e9ab93e76
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 2 21:02:52 2010 +0530

    Add nose-exclude
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 9b3ca1283416d4353d483cac2fd016d90ba97b4f
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 2 20:50:25 2010 +0530

    Clean up tests and update run_tests.sh to use tests/run_tests.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 15fa7fc206eedf2e24dde7ee5bc8f823e0f4d800
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 2 20:49:57 2010 +0530

    Make bootstrap.py executable to exclude it from nosetests and rename bootstrap to multi-bootstrap
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit ba3261b994c9dafc482d4ca771f77f2c149b7142
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 2 19:41:37 2010 +0530

    Include watchdog.utils.echo in coverage
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit c11dc1d21755b487658d8de77a6f4df328c72cc9
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 2 19:40:28 2010 +0530

    Get tests/run_tests.py to read the nose.cfg file
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 27ee09f26fa52b73e6fc2e421c02df29c8038851
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 2 19:38:46 2010 +0530

    Add coverage support to nosetests
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 1198b2d18199b3eea1269ac2e7c2d91f116df09f
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 2 19:06:09 2010 +0530

    Add a tests package.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit f7b5e6245bbc5f78af2536d9cb5fea732d494c49
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 2 19:02:48 2010 +0530

    More doctests for FileSystemEvent
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 872ad9e7e10d29cec95a51ae49776aab4e2b01ac
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 2 18:39:05 2010 +0530

    Clean up docs
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 217a154fb8397de4f2d70c572941c6bd5f1256ad
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 2 18:35:12 2010 +0530

    Update to use tests only when platform matches.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 286d459c66e711e9691084f26cd1210989527382
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 2 18:34:35 2010 +0530

    Add documentation and doctests to events.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit d95cbcd5481afb64a48dd6cb3bd9d2aa24c1bb38
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 2 18:34:26 2010 +0530

    Update documentation
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 057089cb6a38c23edadd44bb6c6eca638842a992
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 2 16:56:22 2010 +0530

    Get nose working using a nose.cfg file in the project directory
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit ab017d077c10ede7d1d356b5f794dec1baf9adb9
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 2 13:20:22 2010 +0530

    Move decorator_utils.py to utils/decorators.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 8a464a7c9cf96e4b1334d7d827f63d634404d3cf
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 2 13:12:01 2010 +0530

    Preparing docs for clean up
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 65c916f5c944ea641067b92b61abff274d528c82
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 2 12:56:22 2010 +0530

    Preparing for clean up
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 8a134e239ee62b0b502bafb1e3f2dd23ce7b9104
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Dec 2 12:56:07 2010 +0530

    Preparing for clean up
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 742b2fab1d525dabab3b0f001e4c5051a576b95b
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 1 17:48:13 2010 +0530

    Apparently, 'win' in sys.platform would trigger for OS X as well.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 3a93903acf1132c26390d6666ac8e4531f69f31d
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 1 17:45:30 2010 +0530

    Missing import
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 9b6bb22c3d7b7387505cea45b67505fc14883b50
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 1 17:44:52 2010 +0530

    Don't try to detect moves on Windows. It doesn't have inodes.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit a0b0ede5a57fd35db0cde4cc20de0b599aaa1f15
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 1 17:40:49 2010 +0530

    Typo
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 53ac88246fac07ce29297242be08a097e9985b05
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 1 17:39:35 2010 +0530

    Revert to is_stopped as a property
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 07eaeb4b58b172a4f8b8cdb195c099a854baebd0
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 1 17:25:04 2010 +0530

    Clean up win32 observers.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 55c25ce756933e086ed513dee22eaa92b9168f0e
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 1 17:24:51 2010 +0530

    CLean up polling observer.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 44e94990c3080becbff0fdf1ea16a262619059cf
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 1 06:29:52 2010 +0530

    Events revamped.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 602eaaa8eb1b8187a539667708d1446c9021b1f7
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 1 06:29:07 2010 +0530

    Don't check attributes on every call to DaemonThreads methods. Set missing attributes on the class if unavailable once.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 3cfa412b87a1363bffe3cc43ec3b85be2b9d60ce
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 1 03:58:13 2010 +0530

    Fix typo
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 4a94b59ea0d187fd8661b75c305ff5a78cc22766
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 1 03:55:06 2010 +0530

    Store the handler in the event object itself. Makes life easier. =)
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 97289a81a6d910694d25efa9e7d8e8050fe369e0
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 1 03:21:59 2010 +0530

    Another typo. =|
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit a0aec451035a7fe98ff73b5c6b67fb3db2aaa0cf
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 1 03:20:48 2010 +0530

    Fix typo
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 1137c27817462dabfe5787f68a05cda0d7e2fe9f
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 1 03:19:46 2010 +0530

    Use EventQueue in win32ioc observer for testing
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 273497210e90bdfe389e2fb89f7c4ccc4d394d8c
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 1 03:19:31 2010 +0530

    Add an EventQueue implementation.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit e5ce16f3275da9e8de22ba6c1ee3450c870ca013
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 1 02:56:39 2010 +0530

    Fix typo
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit f5e9d10e10347323c823153253f9b04b557df1fa
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 1 02:54:52 2010 +0530

    Clean up synchronized from win32ioc_observer
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 756033325bad41f08c2cf567a5ee431cc7fcc9d9
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 1 02:52:45 2010 +0530

    Win32 observer clean up, manual locking and using ordered set queue for testing.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 646b3c8ca5b940c8bcbdbac49853ba0f1a6f4aa6
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 1 01:28:00 2010 +0530

    Update manual locking in fsevents_observer and inotify_observer
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit e2252a3107bb019f5ddc137711d98d6810f3ec97
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Dec 1 00:01:43 2010 +0530

    Manual locking in kqueue_observer.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 0d9013b8f0acf6a64127bd822367e97c401076c0
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 23:55:38 2010 +0530

    Clean up names in kqueue_observer.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit d67c742506988a7d3849e7b5cf43f0963bc6e26d
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 23:40:38 2010 +0530

    Formatting in dirsnapshot.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 7638846847bb5e7a730fb114e897c802bdeec6a0
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 23:40:30 2010 +0530

    Use explicit locking and clean up API in PollingObserver.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit e7d327ffec9ebbc6a36c6178b7c047a8222a4a60
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 23:33:12 2010 +0530

    Use an ordered set queue in polling observer.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit b9d51ca78f9cff85dd042c6fc7602e7a0aa6f1f8
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 23:30:39 2010 +0530

    Clean up _PollingEventEmitter
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit ea9f3c8ca4d39bf3bd0a0da20ec35ce742e4636a
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 23:23:34 2010 +0530

    Clean up imports
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 040ae5c6ab797003fd227db369801d9955cbd994
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 23:14:14 2010 +0530

    Moved DaemonThread class to watchdog.utils
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 67aa314e458dd1958eafd4919501765fb9daafb6
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 22:56:56 2010 +0530

    Fix problems with orderedsetqueue
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit c1251f14589f38ed7f98369e60f7432ac0883731
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 20:23:27 2010 +0530

    Add Lukáš Lalinský to the authors list. Used his ordered set queue impl.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 8c8e9ea1c44c2bf0cb5a1ec804879eb68d3bdbf0
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 20:17:07 2010 +0530

    Add an ordered set queue implementation
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit af5069a4ac29881975cf375d995ae61279138511
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 18:23:15 2010 +0530

    Add README.md as a symlink
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit ddfa92e01959633e72a77625233b0f62346c203e
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 18:23:02 2010 +0530

    Rename README.md to README
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 27dba32fc13459f29b31362afc557e1f3d3796da
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 18:22:45 2010 +0530

    Delete the README symlink.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit dfde6c8a49954a8bb7e3826938fac43196c89a10
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 18:21:20 2010 +0530

    Make a symlink to README.md to shut distutils up about the missing file.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 8b3e3904beb60766a8d45377576f94172f8584f3
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 17:45:39 2010 +0530

    Update .gitignore to exclude MANIFEST
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 3cd640718f29dfc46d86903f55976a7bcc1d251e
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 17:45:10 2010 +0530

    Update manifest and remove setuptools usage
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 992aa58b8e2ec6807eb3c8e3b351a508a41997e8
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 17:13:44 2010 +0530

    Update MANIFEST.in to include documentation and add a setup.cfg
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 67dbf64926a263fd997e37c5a01a9d08de47139b
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 16:47:37 2010 +0530

    Move watchdog/dirsnapshot.py to watchdog/utils/dirsnapshot.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 8a7f0e6e225ca8c2fce7180a6017836f498d7a66
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 16:29:06 2010 +0530

    Update docs
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 9d1f13ed8d9345f1e9938fe3ac502d8f4c7c93c2
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 15:41:48 2010 +0530

    Add basic introductory documentation
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 2e3786e538849525f7bd5b35f2f99309dbfeeb56
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 15:41:21 2010 +0530

    Update autobuild.sh patterns
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 2013c7e1ae31f9f847f1448db600376456c03cb8
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 15:40:35 2010 +0530

    Clean up properly in win32ioc_observer.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit a24716d3b42de0e9397b0dcc1a13b97d18e210c4
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 13:00:47 2010 +0530

    Ignore directory events in autobuild.sh
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit b832aa77b7047f12a70c84359c9bc71689948f04
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 12:58:07 2010 +0530

    Force a first build, then monitor.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 6e205bd4f85c2bdfba332f3ce4afc64e9910dab1
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 12:54:17 2010 +0530

    Update autobuild.sh with vim patterns and patterns to ignore.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit ec0e8bfdbbd23125ec70b32f96016ac102a10afe
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 12:20:57 2010 +0530

    Update the autobuild.sh script to monitor the watchdog/ module directory as well.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 4de00b6d0a57514448ac57cf27f2d626fa61e0d3
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 12:18:16 2010 +0530

    Move autobuild.sh to parent directory.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit f6cab5dbb17dc7311ed573413a43a4ad30d78d75
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 12:13:12 2010 +0530

    A script that automatically builds documentation as I write it, so I don't have to keep typing
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit cc530d7569601983a557d43352d25a2b15be7971
Merge: 04d5999 4081228
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 11:18:42 2010 +0530

    Merge branch 'master' of github.com:gorakhargosh/watchdog

commit 408122899c55dbb198f2c2369ff305aca8c3c03b
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 03:18:43 2010 +0530

    Clean up configuration.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 53236bfde24c96547e855a2308af8d94364a224a
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 03:14:55 2010 +0530

    Set up configuration for documentation.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 5db9f8f78b136fc222357dc5f18d634d3173fe6d
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 03:08:13 2010 +0530

    Keep documentation in one place
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 04d5999e0e4eb28ab1317037d4d3ca4e62f6eea2
Merge: eee2c60 28653d5
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 01:00:17 2010 +0530

    Merge branch 'master' of github.com:gorakhargosh/watchdog

commit 28653d5153ce4bb31cdceb5701e669641558a026
Merge: ee6666a d9fc19b
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 00:53:30 2010 +0530

    Merge branch 'master' of github.com:gorakhargosh/watchdog

commit ee6666aba6c53405146493dd49744b262ef6982c
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 00:45:32 2010 +0530

    Move eclipse styles and basic examples to docs directory.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 0a1b34856e9d45e948db46884e29c340b928f304
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 00:44:26 2010 +0530

    Add initial sphinx documentation.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit eee2c606917a8f33defd89d0ee6cfae91954e147
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 30 00:26:14 2010 +0530

    Updated tricks.yaml example file
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit d9fc19b66cb279d38cb0539f16c9adc60530a6f4
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 29 22:09:42 2010 +0530

    Third level heading in README.md
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit eef6d9e103a3b6f7706678789af1bd74a68f15eb
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 29 22:00:24 2010 +0530

    Add information about tricks.yaml to the README.md
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit c7cd89b4ef0440ae2090ca6a2cf32a95c43581b8
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 29 21:12:48 2010 +0530

    Use has_attribute to detect whether a threading.Event object has is_set attribute.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 6bea60b6a24c57eb03b4b948bd3d42afd3885088
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 29 21:12:22 2010 +0530

    Include documentation for the watchdog.utils.echo module.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit bd8d8271baeda4d464779a4738b725e55a2d457b
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 29 19:39:43 2010 +0530

    Update MANIFEST.in to include watchdog.utils
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 33cc54e84d3182d166dd7aeee1329407fa47f87f
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 29 19:34:47 2010 +0530

    Update AUTHORS with information about echo library
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 9e7f31003c948d8dff7cb8eaa3836c47022a29ef
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 29 19:30:08 2010 +0530

    Add tracing option to the log subcommand
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 7db59970c0da74be691e2e8d842ebc78fb95ea55
Merge: 896c305 cd2e146
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 29 19:22:09 2010 +0530

    Merge branch 'master' of github.com:gorakhargosh/watchdog

commit 896c305c6238f1acbeb843272efa2d703b06ab37
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 29 19:21:44 2010 +0530

    Add Thomas Guest as author of echo library dependency included within watchdog.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit cd2e14672c3be3fa971f02f27a7d4358880959d1
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 29 19:08:40 2010 +0530

    Using super for inheritance.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 9f22e4386dce9dfe71c86c825c933e6e5d39ddc1
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 29 18:07:44 2010 +0530

    We weren't calling dispatch on the event handlers inotify_observer. =|
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit c14f7b19289ef5c1385e37768b1d97aa95a9ad7e
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 29 17:38:19 2010 +0530

    Add a logger trick example.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 6e1e87b10c76dfdd3208cc20b03e6b23936ad968
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 29 17:35:47 2010 +0530

    Make the logger trick echo
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit f3061d4d83290e2397577737906f6ed8274d63a4
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 29 17:34:33 2010 +0530

    Move echo.py into utils.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit be0198b716cad5f9ec4179fb9fec4e6a19d84f42
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 29 17:34:11 2010 +0530

    Make utils a package.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 6fa7b2c47eacff7edc1220f46a300e8fe5d976b0
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 29 17:33:40 2010 +0530

    Update attribute in echo.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 63f841f8a44af1e08a1282a8a3017e5f3c12c825
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 29 16:01:59 2010 +0530

    Remove unnecessary logging statement
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 2a2cbed28116902738b2b83b2ca74b3d3026332d
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 29 16:01:45 2010 +0530

    Add an echo module that lets me trace calls
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 4553237b2d9962028be266afd0830fcee862d05d
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 29 20:30:59 2010 +0530

    Now to test whether the pattern matching event handler triggers on Linux. It works on OS X.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 215ad37548de52f84806ccf5aafbc729e3ed79ca
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 29 05:24:28 2010 +0530

    Clean up
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit d19d4e60bae6cf51e7311c8c5d8ec546b701ebda
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 29 05:14:48 2010 +0530

    Failed attempt at fixing the file movement problems on windows.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 06b1d0d17fd01fec4a84dad2366f63d3ed9d5165
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 29 04:25:35 2010 +0530

    Attempt detecting movement to subdirectories in the win32ioc_observer.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit a80ba16bf1ca0d0bf7248bd1d22b333c1fb89923
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 29 04:01:48 2010 +0530

    Reduce moved events delay on win32
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 63a694059b99c20a3f4a4118bec9e1a7e67c9599
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 29 04:00:23 2010 +0530

    Fix typo.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit d5c5913c46d98f61852c1068555236b68c1778d1
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 29 03:52:45 2010 +0530

    Fix bad import in fsevents_observer.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit d054e5dc11c1307808f42979cf46736382e09441
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 29 03:50:25 2010 +0530

    Add missing ) in polling_observer.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 4291163f20d02602e1b55d8c9abdd96a97e6c6b8
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 29 03:36:15 2010 +0530

    Make arguments explicit for get_moved_events_for function.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 43c52f62b0fae38b5e01a5a7c1e14d09b96cb3b7
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 29 03:31:26 2010 +0530

    Remove stray ) from fsevents_observer.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit b5ee176605b93a82837d5d20ca40b715b96e2270
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 29 03:28:25 2010 +0530

    Major import and path clean up
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 88698640fc285ee24e1eecb57552123f02db83d7
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 29 03:27:50 2010 +0530

    Fix broken dependencies
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 42b798aa57ef6351087af13f2530d57fa0408a44
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 28 20:24:19 2010 +0530

    Update watchmedo file descriptions.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit e153510969035537501468356fcad6be04b9923b
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 28 20:10:25 2010 +0530

    Fix typo and update short option for --recursive
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit e87a448260238839add054df89db8df6d3525eba
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 28 19:54:04 2010 +0530

    Add epilog
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 1d945f10ff95e911aca7a7eb20f2de849ddccd20
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 28 19:45:21 2010 +0530

    Add tip to view help in readme
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit f9ccab7b16a03ea7533afa6a7931e4215169079b
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 28 19:43:26 2010 +0530

    Update README.md with information about executing shell commands in response to file system events.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 477d5a7b2d9c9a112614f4df8ff316e135f0aad0
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 28 19:41:44 2010 +0530

    Add shell-style string interpolation command strings to shell-command subcommand
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 3ce74314dc0565ff9806eb51c4a165f357b741fd
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 28 19:05:54 2010 +0530

    Add more short subcommand option flags to watchmedo.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit bd470ba3adb2d4e3b61e939672cdb7ed79c44d13
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 28 18:56:37 2010 +0530

    Add documentation about shell command interpolation variables.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit ccc01dc8151834157f42faef0c8fb95ead01b37e
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 28 18:48:59 2010 +0530

    Add installation information to the README.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 258edf14db034f24ebaf0ff53dd04c64b8fe81c2
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 28 18:42:43 2010 +0530

    Add python2.5 as a dependency.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 5335ead8174d507d75afcdd8e03666ab9c381be6
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 28 18:35:55 2010 +0530

    Fix typo in readme
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit bfc6989d71def11ab11760a28473339b639043fa
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 28 18:33:15 2010 +0530

    Include information about watchmedo in README.md
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 2480dac3a0439482c61e39a5643b38564c92fa56
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 28 18:22:56 2010 +0530

    Clean up readme
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 374743d754182e56e522ec23cd7ed709b87f4d25
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 28 18:18:33 2010 +0530

    Enlist supported platforms in the README.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 949a1925cc337b4c16d7767ffedad1a1eb92e4ec
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 28 11:52:22 2010 +0530

    Add documentation where temporary files are handled.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit d07440e09fff010f2b2d9c828077f7e8ea7b4a41
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 28 11:49:10 2010 +0530

    Handle quick temporary file creation and deletion.  for example creates many files very quickly and deletes them.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 8e7b3e3ca3bf9bf9555393603007e487df56ec05
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 28 11:30:36 2010 +0530

    Handle very fast file movement in kqueue_observer.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 0a32fbf1ccc8b22c04973123c7ed487597400383
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 28 08:38:28 2010 +0530

    Update ignore rules.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit fb7d490c0c1a2bf79e7e52ec15c708d5ea5c1455
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 28 06:37:46 2010 +0530

    Use Win32IOCObserver as the new default implementation on Windows.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 13b75a6c92a44f6cc84ebd7500ffae409c271b92
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 28 06:30:56 2010 +0530

    Update dependency check in setup.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 8209e9b5b0534525481aabaa6988b409c521128c
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 28 06:18:18 2010 +0530

    Drop the dependency on select26. Add select_backport as the replacement dependency. It's more up-to-date.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit b225386afec0bb9088a49d498deba1b1fee802c1
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 28 05:01:35 2010 +0530

    Update dependency on argh to version 0.8.1
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit b181cde33e64217a5ec5c45b28ed21a3beb5e397
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 28 04:46:24 2010 +0530

    Add a bootstrap wrapper script that sets up multiple python configurations with zc.buildout.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 3a6dc225282ed59f035c01cb4b851c9e4d22dbde
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 28 03:23:01 2010 +0530

    Add information about win32 file movement with moved dir HACK.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit e0ca756d0f3ce47f2c2cb60bba21d9652bd44f0c
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 28 03:20:07 2010 +0530

    Update AUTHORS
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 522ccb76b26aab3700cd037fe215e41c453d7b14
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 28 03:18:53 2010 +0530

    Clean up trailing whitespaces
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit c8156ddc8dcdf57963c514ffe294359395128753
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 28 03:16:12 2010 +0530

    Add a win32ioc_observer implementation and add a hack to read movement of files within a moved directory.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 6cb95525bb4b78abd6e697ecbdd561ca731fb41c
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Nov 27 21:48:47 2010 +0530

    Try at firing moved events for files within a moved directory. [Needs  a way to wait for I/O completion.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 9ecded4376c2a0be29007ddfc95cd202ba89f55d
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Nov 27 21:34:09 2010 +0530

    Add force observer implementation flags for the log subcommand for all the observer types.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit d56b8e0d67953c7539adb4fc29244fd35b613097
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Nov 27 21:28:17 2010 +0530

    Fire moved events for directory entries as well in win32_observer.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 4cd7433e1edf02f10d1c8e5beaaf8a2f644bb078
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Nov 27 20:02:21 2010 +0530

    Make code python2.5 compliant as well
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit df88e7a68ea6594f40328cd8da5f99eb6ed9ac4c
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Nov 27 18:12:34 2010 +0530

    Updated setup.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 5fc91e6e81f891160e4d0bd70a3ece4fbeb9b918
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Nov 27 17:54:39 2010 +0530

    Remove unnecessary alias for the shell-command subcommand in watchmedo.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 1778edc5608c967bf5ed88a35cb40566626db4be
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Nov 27 17:07:00 2010 +0530

    Update trove classifiers with operating systems > BSD
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 60b1c2d9399e44e3d521e4f93af20400a892af46
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Nov 27 17:02:07 2010 +0530

    Fix a typo in watchdog/__init__.py that would have prevented FSEvents observer from loading.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 39e87d353172b4c0189c7ebd5d2e3ec151daf31a
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Nov 27 16:58:48 2010 +0530

    Add documentation to kqueue_observer.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit e28202c76d8fbd7c847d90a45337ddfe34c422a4
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Nov 27 16:50:50 2010 +0530

    Clean up when the thread stops running not when stop() is called in kqueue event emitter
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit d17f2b1b7688cd9526e9500836ee7d9646bfd311
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Nov 27 16:47:23 2010 +0530

    Remove unnecessary documentation.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 581ddd08bd741cace64f36773d0e5af22bd5ceb8
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Nov 27 16:35:01 2010 +0530

    OS X can use kqueue too, so mention that in the README.md
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 09ecd9924d39b4cf792a21ecb88668e201f538fd
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Nov 27 16:20:16 2010 +0530

    Fixed descriptor bookkeeping for directory movement events and cleaned up code in kqueue_observer.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit bca37ea13a66177afaa94f075d8162861c1b062f
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Nov 27 14:39:12 2010 +0530

    Fix incorrect moved paths
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 88f1bbc579590c5d9cbfc128cb966d1f0ac44fac
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Nov 27 13:38:27 2010 +0530

    Add select26 to the list of dependencies in the README.md
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 6aef96d32c85506cfc82fae134e0d2bf515a52f4
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Nov 27 12:36:55 2010 +0530

    Update README.md
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 1077a3057e019f5ddba6ead9dcef0d584df06e76
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Nov 27 03:16:09 2010 +0530

    Add imports to load the KqueueObserver on BSD Unix. Update README.md
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit e5876c98b7c787f3600b528c8e16adb16cba7506
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Nov 27 02:56:31 2010 +0530

    Add a working kqueue-based observer implementation.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 210b17f0b7260f47c416adb8fc5a498da3daba0a
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Nov 27 02:56:02 2010 +0530

    Clean up paths before accepting them in PollingObserver.schedule
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 8d000ba239175be3e1cc324e9eb7abb08595ef7d
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Nov 27 00:40:51 2010 +0530

    A basic working kqueue-based observer implementation. Now to fill the event queue with these events. =)
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 43a788554a7345c8fd21f05b39a61bd58a0f8581
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Nov 27 00:09:35 2010 +0530

    Add the ability to fetch paths and stat information from dirsnapshot using inodes.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 749cee4360ec246bead7b6600530c20c7da12024
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Nov 26 17:58:19 2010 +0530

    Clean up the _watchdog_fsevents.c source code a bit and use PyDoc_STRVAR macro for documentation.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 5aca1ae1180836a3cff5a54bda86ee3541578559
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Nov 25 23:25:09 2010 +0530

    Remove commented code from kqueue_observer.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit e9f4aeb0a380620ef83e5cd6e6d472352f23fc5b
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Nov 25 23:22:24 2010 +0530

    add a skeleton of the kqueue_observer.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 42de5a3625a6161918b9a259fcd794c78db90b10
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Nov 25 23:22:10 2010 +0530

    Add a flag to the log command to force the kqueue observer implementation.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 243d71134e7ab60a9e9d4405f8e822af7738d11a
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Nov 25 23:20:59 2010 +0530

    Add a get_walker function to watchdog.utils that returns a recursive/non-recursive directory tree walker.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 6da69baf922dde13ec89466e992391a66f3f36a2
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Nov 25 23:20:24 2010 +0530

    General cleanup
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit bc3e25ea3a53844e19cbd9a7f548f988d9b2b3d2
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Nov 25 20:26:54 2010 +0530

    Add select26 as a dependency for python2.5 and earlier.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit ef2f75a611e4c9323bd69e91bc8b2152cf252683
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Nov 25 18:36:23 2010 +0530

    event.path -> event.src_path; event.new_path -> event.dest_path; marks event.path and event.new_path as deprecated.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 0315339343d735f10f7c81c567672168420b1e69
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Nov 25 17:20:24 2010 +0530

    Bump version number to 0.4.0
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit cc407a7d1c94259af0e4e29b316cfb53f09166cc
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Nov 25 17:19:17 2010 +0530

    Add a simple function to watch paths
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 74bce3e5a9fdcd6397027f4571262e9884c3b48e
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Nov 25 16:56:50 2010 +0530

    Add a debug flag to the watchmedo log subcommand that forces using the polling observer implementation.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 5c17fed040b28be81c6339e0c02761de0cb847b7
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Nov 25 16:47:50 2010 +0530

    Update README with api change.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit b6b4ce34185c06c4e80f7d9487987f504eba247b
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Nov 25 16:46:51 2010 +0530

    Move the recursive argument after the paths argument to keep more consistency. API changed.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 2907cc8f9eaa47cb0564fab8d00de2a82007d53b
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Nov 25 16:37:57 2010 +0530

    BREAKING API changeset. Now monitors non-recursively by default and allows monitoring recursively by setting a flag.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit d7c937cf8cc36483b01e282825015f451631b4cc
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Thu Nov 25 15:28:23 2010 +0530

    watchdog.dirsnapshot can now take non-recursive snapshots.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 11f5d53d3924acd9bedc15177d69b28220c250d9
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Nov 24 15:51:23 2010 +0530

    Clean up indentation in buildout.cfg
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 05399416d4cbb094e2a9fbf6d47111f1e3786100
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Nov 24 15:47:12 2010 +0530

    Update README.md with dependencies and their links.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit a8a6a70dca661fb35eb3c85c344fa23c5ce6a449
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Nov 24 15:01:00 2010 +0530

    Fixed a broken import that caused win32_observer observer imports to fail.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit ebcee0d9a80b2bf0e03173d9f5d503e8491ac421
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Nov 24 13:26:53 2010 +0530

    Fix typo in copyright statement in watchmedo.bat
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 05ff66328d7ea9c09dcf7bcd45c5cea2f8584e62
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Nov 24 13:25:52 2010 +0530

    Add copyright information to the watchmedo.bat script
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit cdd4e003389789c910b4d62c92edc2e0c85c4107
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Nov 24 12:42:29 2010 +0530

    Add a subcommand to the watchmedo script that executes shell commands in response to file system events.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 2b7558205d795fd93fc97816127dce7f982cfd9e
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Nov 24 11:34:11 2010 +0530

    Update the watchmedo.bat script to import watchdog and execute the entry-point function via the python command line.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit f07651f66e296cb4add47a2eb33505268031a836
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Nov 24 11:30:20 2010 +0530

    Add an entry-point function to the watchdog/watchmedo.py module and call it from within the watchmedo script.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 20e27ed486056f980b0d8915cdbba434a52806a9
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Nov 24 11:29:47 2010 +0530

    Moved watchmedo script to module watchdog/watchmedo.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 2848cd6ce3ff50608fcb77920919443a63acd2e1
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Nov 24 11:24:59 2010 +0530

    No need to generate the name for the log command observer schedule
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit ebcc3c5a5a3611b43402759d48465a394dc2b951
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 23 22:27:30 2010 +0530

    Split command-line patterns for the log subcommand.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 8ecb20c28b8ba621a9a3427c98d6bcaa62c3e451
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 23 22:16:20 2010 +0530

    Add --append option to generate-yaml subcommand in watchmedo and use relative paths for python-path.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit af4a7f4e0447717233976934a8d7b5718e8e4581
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 23 21:46:11 2010 +0530

    Replace the call to print() with one to sys.stdout.write() in watchmedo.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit e03bd10265741545290dbd5a86f4dc36ada874d9
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 23 21:39:09 2010 +0530

    Flesh out the watchmedo log subcommand.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit f28928d34d4eaf82b754144c39227e01072c33e2
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 23 21:38:57 2010 +0530

    Get watchdog.utils.filter_paths to handle None as arguments.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit f96c07c115d884a7f6149f717a88180f9ab14edb
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 23 20:53:51 2010 +0530

    Allow setting python path from tricks.yaml.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit e2dac0fd623fd614b74f189b46c152d66e52625f
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 23 19:30:00 2010 +0530

    Clean up more logging.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit d1c30ece977aeca37983f291ade52b805a2b447e
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 23 19:17:35 2010 +0530

    Implement the 'tricks' and 'generate-yaml' subcommands for watchmedo.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 55681b650ba9b366417432e173668abc08940726
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 23 19:17:00 2010 +0530

    Clean up logging.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 08ff2df4c1745f9fc5f7df7afbef361e00c5d743
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 23 19:16:43 2010 +0530

    Replace the class_instance method with one that loads a class instead.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit fb1f9df67abd12e6eb2f1382d8abb55ec64af561
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 23 17:55:04 2010 +0530

    Update project source code text in README.md
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit b8bc5ab0bf5b52280e96e1195dd175c25fd904b9
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 23 16:09:03 2010 +0530

    Add the watchmedog script to setup.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit fde5421c31227b43a76d8c958f265646d4e1b3f0
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 23 14:06:47 2010 +0530

    Update link for issue tracker.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 45bf95dcdcee840d0d40c15b8dad1136db480dc7
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 23 14:05:34 2010 +0530

    Fix escaping in README.md.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 8be8dc59cbd2f546dd9adb5a8fb171d467dd093f
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 23 14:03:43 2010 +0530

    Add basic trick execution functionality and an example tricks.yaml file
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit f8f580a237032e399632b97b5063f10ea923532c
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 23 13:26:03 2010 +0530

    Add a few more utility methods to watchdog.utils
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 7c7baceaeecdb2fbedf68e82c3307244835aed48
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Tue Nov 23 13:23:59 2010 +0530

    Update the unschedule method in all observers to unschedule all watches when called without arguments.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 9d6af990ad6d32eae206808d5c21f383ed3d1057
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 22 17:16:30 2010 +0530

    Clean up the win32 observer implementation.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 255e02068538c046b6ab43e3cdd73a8ce34cd307
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 22 15:20:52 2010 +0530

    Add copyright information to the README.md
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 1ee84cf8667a794f266416001db1d140dbec7f74
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 22 04:41:53 2010 +0530

    Bump version to 0.3.6. Bugfix release.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 267f280c406a321cdd83e2b74889c76c67296620
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 22 04:41:21 2010 +0530

    Fix a broken build.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit de3e9e86e612bcf6ffe57119f2a394c6991f282c
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 22 04:13:26 2010 +0530

    Fix missing observers subpackage from sdist.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 569a742c362a928944f67197ba79075bade36cc3
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 22 04:05:16 2010 +0530

    Bump version to 0.3.5
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 16148b8a9080aec2485d357c2278ca7ef946b014
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 22 03:32:41 2010 +0530

    Move all the observers into the watchdog.observers.* subpackage.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 22ab85eeead5644edc92e8a8d8936a2ea2a5de46
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 22 03:20:57 2010 +0530

    Remove unnecessary import from watchdog.utils.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit bcaf91b393b3cdbd17113aa9a98987a1cf95e00e
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 22 03:10:57 2010 +0530

    API change. Events and handlers are not available in watchdog.* namespace now. Import them from watchdog.events.* instead
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 941ae91ea470c3d738705a61c06b7c660030b221
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 22 02:58:52 2010 +0530

    Clean up imports and remove old testing code from observer modules.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 7adfaab6419338845b01fc28624351923fe45f10
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 22 02:57:49 2010 +0530

    Add watchdog to the eggs list. It uses the one in this repository.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit f8c1b7ee7ac836fd676fec77d2af4eb94c33d794
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 22 02:46:23 2010 +0530

    Add a PatternMatchingEventHandler
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit e13a77eef462fd3e0234e4431c638e7304c7f9e7
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 22 01:49:33 2010 +0530

    Remove unnecessary import from polling_observer.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 1edb42d11dc193c4ec1a1f804f4dac9a2f0403ad
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 22 01:43:17 2010 +0530

    Update AUTHORS to include Tim Golden's watch_directory.py script.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit f89de2426cb6a112ef7a4d4d745862d8d832fe4f
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 22 01:36:13 2010 +0530

    Add a logging handler and add copyright information to all the source files.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 0c69af6fd64f62dbc62c79858515b97823ddb38d
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Mon Nov 22 01:35:33 2010 +0530

    Move version information to watchdog/version.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 80326dfcdc16fedf0cf5ca01d0ab696621bf5a99
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 21 21:01:18 2010 +0530

    Correct indentation and clean up trailing spaces from buildout.cfg
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 89a24870c4c10b85a4eddf42b307ba69ecf18ef5
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 21 20:56:47 2010 +0530

    Update ignore rules and add ipython to buildout.cfg
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit b2e673d7902c5eb68be8061b8b30438a59aa27c8
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 21 20:37:27 2010 +0530

    Add a develop line to the buildout.cfg
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit c17f2370e48fc15a5994fa7b3a6a25cc15d76ecf
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 21 20:33:35 2010 +0530

    Add dependencies and get buildout to install a python interpreter which we can use.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 5c654d21f23612e9c349bcaddfb671190f2f0bde
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 21 19:51:54 2010 +0530

    Remove executable permissions from bootstrap.py
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit d9de284dd33184cf39cfdbfeb960578b755b0512
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 21 14:39:53 2010 +0530

    watchmedo script
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit f7b1ea0f9e2d33792633d286e5b4e7993d088ebb
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sun Nov 21 14:38:42 2010 +0530

    Add PyYAML >= 3.09 as a dependency
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 8a44081a6afc7a358e1e09ba75aa52a7d519f164
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Sat Nov 20 02:06:16 2010 +0530

    Add a wrapper .bat script for the watchmedo command.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 17543613292f25c9fe03a0ea39ad7988d0a9bb16
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Nov 19 13:23:55 2010 +0530

    Get builds to work.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit e8dca9c58b8e0dc6f3aa5921126fd40a79c6c6d0
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Nov 19 13:14:29 2010 +0530

    Update MANIFEST.in to include _watchdog_fsevents.h header file.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 65b41751e352556c013ac0c4fa54a0d2e445262d
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Nov 19 13:01:55 2010 +0530

    Fix download urls and bump to version 0.3.4.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit c95c53f9780b05e206a443c3ae88ce284e252a1e
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Nov 19 12:46:40 2010 +0530

    Add download_url param to setup.
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 51fddea33eb2c1270ae2372e435a6c68e3fe0412
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Fri Nov 19 12:37:27 2010 +0530

    Bump version to 0.3.2
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 6cf38f73f9781990946bd66a2c72fae01e8d75a2
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Nov 17 23:52:04 2010 +0530

    Add dependencies list
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit aa4115a3b553061e9dbdd03357f78f061e83c82c
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Nov 17 20:05:58 2010 +0530

    Fix a bug where path and new path were switched in inotifyobserver moved event
    
    Signed-off-by: Gora Khargosh <gora.khargosh@gmail.com>

commit 2521ff5bfc13e99ec438cae469a24f30ac68d0b4
Author: Gora Khargosh <gora.khargosh@gmail.com>
Date:   Wed Nov 17 19:26:55 2010 +0530

    Bump version to 0.3.1. Version includes InotifyObserver
    
